//-----------------------------------------------------------------------
// <copyright file = "suppressions.cs" company="Microsoft Corporation">
//     Copyright (c) Microsoft Corporation.
// </copyright>

// Contains the SuppressMessage attributes to ensure a clean fxcop run.
using System.Diagnostics.CodeAnalysis;

#region CA1008
[module: SuppressMessage("Microsoft.Design", "CA1008:EnumsShouldHaveZeroValue", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.ConditionalColumnGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1008:EnumsShouldHaveZeroValue", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.GetLockGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1008:EnumsShouldHaveZeroValue", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.IndexKeyGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1008:EnumsShouldHaveZeroValue", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.IndexRangeGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1008:EnumsShouldHaveZeroValue", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_Move", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1008:EnumsShouldHaveZeroValue", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_SNP", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1008:EnumsShouldHaveZeroValue", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_cbtyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1008:EnumsShouldHaveZeroValue", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_dbstate", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1008:EnumsShouldHaveZeroValue", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.SetCurrentIndexGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1008:EnumsShouldHaveZeroValue", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_InstanceMiscInfo", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1008:EnumsShouldHaveZeroValue", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows7.PrereadKeysGrbit", Justification = "Stylebot Generated FxCop Exclusion.")] // Zero is not a valid value for the API
[module: SuppressMessage("Microsoft.Design", "CA1008:EnumsShouldHaveZeroValue", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_ErrorInfo", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1008:EnumsShouldHaveZeroValue", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_sesparam", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1008:EnumsShouldHaveZeroValue", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.StopServiceGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
#endregion

[module: SuppressMessage("Microsoft.Design", "CA1027:MarkEnumsWithFlags", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.SetCurrentIndexGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1045:DoNotPassTypesByReference", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDefragment(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.Int32&,System.Int32&,Microsoft.Isam.Esent.Interop.DefragGrbit)", MessageId = "3#", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1045:DoNotPassTypesByReference", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDefragment(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.Int32&,System.Int32&,Microsoft.Isam.Esent.Interop.DefragGrbit)", MessageId = "4#", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1045:DoNotPassTypesByReference", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDefragment2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.Int32&,System.Int32&,Microsoft.Isam.Esent.Interop.JET_CALLBACK,Microsoft.Isam.Esent.Interop.DefragGrbit)", MessageId = "3#", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1045:DoNotPassTypesByReference", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDefragment2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.Int32&,System.Int32&,Microsoft.Isam.Esent.Interop.JET_CALLBACK,Microsoft.Isam.Esent.Interop.DefragGrbit)", MessageId = "4#", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1045:DoNotPassTypesByReference", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetRecordSize(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_RECSIZE&,Microsoft.Isam.Esent.Interop.GetRecordSizeGrbit)", MessageId = "2#", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1045:DoNotPassTypesByReference", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetSystemParameter(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_param,System.Int32&,System.String&,System.Int32)", MessageId = "3#", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1045:DoNotPassTypesByReference", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetSystemParameter(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_param,System.IntPtr&,System.String&,System.Int32)", MessageId = "3#", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1045:DoNotPassTypesByReference", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetInit(Microsoft.Isam.Esent.Interop.JET_INSTANCE&)", MessageId = "0#", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1045:DoNotPassTypesByReference", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetInit2(Microsoft.Isam.Esent.Interop.JET_INSTANCE&,Microsoft.Isam.Esent.Interop.InitGrbit)", MessageId = "0#", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1045:DoNotPassTypesByReference", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.VistaApi.#JetInit3(Microsoft.Isam.Esent.Interop.JET_INSTANCE&,Microsoft.Isam.Esent.Interop.JET_RSTINFO,Microsoft.Isam.Esent.Interop.InitGrbit)", MessageId = "0#", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1045:DoNotPassTypesByReference", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.VistaApi.#JetGetRecordSize(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE&,Microsoft.Isam.Esent.Interop.GetRecordSizeGrbit)", MessageId = "2#", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1700:DoNotNameEnumValuesReserved", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVPagesNotReserved", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetBeginSession(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_SESID&,System.String,System.String)", MessageId = "username", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DbInfo.#Filename", MessageId = "Filename", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#InvalidFilename", MessageId = "Filename", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#OSSnapshotTimeOut", MessageId = "TimeOut", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS.#cLogRecord", MessageId = "cLog", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS.#Create(System.Int32,System.Int32,System.Int32,System.Int32,System.Int32,System.Int32,System.Int32)", MessageId = "cLog", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidFilenameException", MessageId = "Filename", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOSSnapshotTimeOutException", MessageId = "TimeOut", Justification = "Stylebot Generated FxCop Exclusion.")]

#region CA1704
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "Isam", Justification = "Stylebot Generated FxCop Exclusion.")]

[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetObjectInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,Microsoft.Isam.Esent.Interop.JET_objtyp,System.String,Microsoft.Isam.Esent.Interop.JET_OBJECTINFO&)", MessageId = "objectinfo", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetObjectInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,Microsoft.Isam.Esent.Interop.JET_objtyp,System.String,Microsoft.Isam.Esent.Interop.JET_OBJECTINFO&)", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetObjectInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,Microsoft.Isam.Esent.Interop.JET_objtyp,System.String,Microsoft.Isam.Esent.Interop.JET_OBJECTINFO&)", MessageId = "objtyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetObjectInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,Microsoft.Isam.Esent.Interop.JET_objtyp,System.String,Microsoft.Isam.Esent.Interop.JET_OBJECTINFO&)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetObjectInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,Microsoft.Isam.Esent.Interop.JET_objtyp,System.String,Microsoft.Isam.Esent.Interop.JET_OBJECTINFO&)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]

[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.VistaApi.#JetGetColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.JET_COLUMNBASE&)", MessageId = "columnbase", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.VistaApi.#JetGetColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.JET_COLUMNBASE&)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.VistaApi.#JetGetColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.JET_COLUMNBASE&)", MessageId = "tablename", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.VistaApi.#JetGetColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.JET_COLUMNBASE&)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.VistaApi.#JetGetColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.JET_COLUMNBASE&)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]

[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetBeginTransaction3(Microsoft.Isam.Esent.Interop.JET_SESID,System.Int64,Microsoft.Isam.Esent.Interop.BeginTransactionGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetBeginTransaction3(Microsoft.Isam.Esent.Interop.JET_SESID,System.Int64,Microsoft.Isam.Esent.Interop.BeginTransactionGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetDatabaseFileInfo(System.String,Microsoft.Isam.Esent.Interop.JET_DBINFOMISC&)", MessageId = "dbinfomisc", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetDatabaseFileInfo(System.String,Microsoft.Isam.Esent.Interop.JET_DBINFOMISC&,Microsoft.Isam.Esent.Interop.JET_DbInfo)", MessageId = "dbinfomisc", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNBASE&)", MessageId = "columnbase", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNBASE&)", MessageId = "tablename", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNBASE&)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNBASE&)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetDatabaseInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,Microsoft.Isam.Esent.Interop.JET_DBINFOMISC&)", MessageId = "dbinfomisc", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetDatabaseInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,Microsoft.Isam.Esent.Interop.JET_DBINFOMISC&)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetDatabaseInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,Microsoft.Isam.Esent.Interop.JET_DBINFOMISC&)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetDatabaseInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.Int32&,Microsoft.Isam.Esent.Interop.JET_DbInfo)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetDatabaseInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.Int32&,Microsoft.Isam.Esent.Interop.JET_DbInfo)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetDatabaseInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,Microsoft.Isam.Esent.Interop.JET_DBINFOMISC&,Microsoft.Isam.Esent.Interop.JET_DbInfo)", MessageId = "dbinfomisc", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetDatabaseInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,Microsoft.Isam.Esent.Interop.JET_DBINFOMISC&,Microsoft.Isam.Esent.Interop.JET_DbInfo)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetDatabaseInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,Microsoft.Isam.Esent.Interop.JET_DBINFOMISC&,Microsoft.Isam.Esent.Interop.JET_DbInfo)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetDatabaseInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String&,Microsoft.Isam.Esent.Interop.JET_DbInfo)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetDatabaseInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String&,Microsoft.Isam.Esent.Interop.JET_DbInfo)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#DeserializeObjectFromColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#DeserializeObjectFromColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#DeserializeObjectFromColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#DeserializeObjectFromColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#DeserializeObjectFromColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#DeserializeObjectFromColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#DeserializeObjectFromColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#EscrowUpdate(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Int32)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#EscrowUpdate(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Int32)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#EscrowUpdate(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Int32)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#GetBookmark(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#GetBookmark(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#GetColumnDictionary(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#GetColumnDictionary(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#GetTableColumnid(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String)", MessageId = "Columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#GetTableColumnid(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#GetTableColumnid(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#GetTableColumns(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#GetTableColumns(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#GetTableColumns(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String)", MessageId = "tablename", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#GetTableColumns(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#GetTableColumns(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#GetTableIndexes(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#GetTableIndexes(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#GetTableIndexes(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String)", MessageId = "tablename", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#GetTableIndexes(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#GetTableIndexes(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#GetTableNames(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#GetTableNames(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#IntersectIndexes(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID[])", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#IntersectIndexes(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID[])", MessageId = "tableids", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetAddColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF,System.Byte[],System.Int32,Microsoft.Isam.Esent.Interop.JET_COLUMNID&)", MessageId = "columndef", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetAddColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF,System.Byte[],System.Int32,Microsoft.Isam.Esent.Interop.JET_COLUMNID&)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetAddColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF,System.Byte[],System.Int32,Microsoft.Isam.Esent.Interop.JET_COLUMNID&)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetAddColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF,System.Byte[],System.Int32,Microsoft.Isam.Esent.Interop.JET_COLUMNID&)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetAttachDatabase(Microsoft.Isam.Esent.Interop.JET_SESID,System.String,Microsoft.Isam.Esent.Interop.AttachDatabaseGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetAttachDatabase(Microsoft.Isam.Esent.Interop.JET_SESID,System.String,Microsoft.Isam.Esent.Interop.AttachDatabaseGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetAttachDatabase2(Microsoft.Isam.Esent.Interop.JET_SESID,System.String,System.Int32,Microsoft.Isam.Esent.Interop.AttachDatabaseGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetAttachDatabase2(Microsoft.Isam.Esent.Interop.JET_SESID,System.String,System.Int32,Microsoft.Isam.Esent.Interop.AttachDatabaseGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetBackupInstance(Microsoft.Isam.Esent.Interop.JET_INSTANCE,System.String,Microsoft.Isam.Esent.Interop.BackupGrbit,Microsoft.Isam.Esent.Interop.JET_PFNSTATUS)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetBeginExternalBackupInstance(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.BeginExternalBackupGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetBeginSession(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_SESID&,System.String,System.String)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetBeginTransaction(Microsoft.Isam.Esent.Interop.JET_SESID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetBeginTransaction2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.BeginTransactionGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetBeginTransaction2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.BeginTransactionGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCloseDatabase(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,Microsoft.Isam.Esent.Interop.CloseDatabaseGrbit)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCloseDatabase(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,Microsoft.Isam.Esent.Interop.CloseDatabaseGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCloseDatabase(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,Microsoft.Isam.Esent.Interop.CloseDatabaseGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCloseTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCloseTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCommitTransaction(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.CommitTransactionGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCommitTransaction(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.CommitTransactionGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCompact(Microsoft.Isam.Esent.Interop.JET_SESID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_PFNSTATUS,Microsoft.Isam.Esent.Interop.JET_CONVERT,Microsoft.Isam.Esent.Interop.CompactGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCompact(Microsoft.Isam.Esent.Interop.JET_SESID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_PFNSTATUS,Microsoft.Isam.Esent.Interop.JET_CONVERT,Microsoft.Isam.Esent.Interop.CompactGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetComputeStats(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetComputeStats(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetConfigureProcessForCrashDump(Microsoft.Isam.Esent.Interop.Windows7.CrashDumpGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCreateDatabase(Microsoft.Isam.Esent.Interop.JET_SESID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_DBID&,Microsoft.Isam.Esent.Interop.CreateDatabaseGrbit)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCreateDatabase(Microsoft.Isam.Esent.Interop.JET_SESID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_DBID&,Microsoft.Isam.Esent.Interop.CreateDatabaseGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCreateDatabase(Microsoft.Isam.Esent.Interop.JET_SESID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_DBID&,Microsoft.Isam.Esent.Interop.CreateDatabaseGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCreateDatabase2(Microsoft.Isam.Esent.Interop.JET_SESID,System.String,System.Int32,Microsoft.Isam.Esent.Interop.JET_DBID&,Microsoft.Isam.Esent.Interop.CreateDatabaseGrbit)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCreateDatabase2(Microsoft.Isam.Esent.Interop.JET_SESID,System.String,System.Int32,Microsoft.Isam.Esent.Interop.JET_DBID&,Microsoft.Isam.Esent.Interop.CreateDatabaseGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCreateDatabase2(Microsoft.Isam.Esent.Interop.JET_SESID,System.String,System.Int32,Microsoft.Isam.Esent.Interop.JET_DBID&,Microsoft.Isam.Esent.Interop.CreateDatabaseGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCreateIndex(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.CreateIndexGrbit,System.String,System.Int32,System.Int32)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCreateIndex(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.CreateIndexGrbit,System.String,System.Int32,System.Int32)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCreateIndex(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.CreateIndexGrbit,System.String,System.Int32,System.Int32)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCreateIndex2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_INDEXCREATE[],System.Int32)", MessageId = "indexcreates", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCreateIndex2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_INDEXCREATE[],System.Int32)", MessageId = "num", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCreateIndex2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_INDEXCREATE[],System.Int32)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCreateIndex2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_INDEXCREATE[],System.Int32)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCreateInstance2(Microsoft.Isam.Esent.Interop.JET_INSTANCE&,System.String,System.String,Microsoft.Isam.Esent.Interop.CreateInstanceGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCreateTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.Int32,System.Int32,Microsoft.Isam.Esent.Interop.JET_TABLEID&)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCreateTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.Int32,System.Int32,Microsoft.Isam.Esent.Interop.JET_TABLEID&)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCreateTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.Int32,System.Int32,Microsoft.Isam.Esent.Interop.JET_TABLEID&)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCreateTableColumnIndex3(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,Microsoft.Isam.Esent.Interop.JET_TABLECREATE)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCreateTableColumnIndex3(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,Microsoft.Isam.Esent.Interop.JET_TABLECREATE)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetCreateTableColumnIndex3(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,Microsoft.Isam.Esent.Interop.JET_TABLECREATE)", MessageId = "tablecreate", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDefragment(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.Int32&,System.Int32&,Microsoft.Isam.Esent.Interop.DefragGrbit)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDefragment(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.Int32&,System.Int32&,Microsoft.Isam.Esent.Interop.DefragGrbit)", MessageId = "Defragment", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDefragment(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.Int32&,System.Int32&,Microsoft.Isam.Esent.Interop.DefragGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDefragment(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.Int32&,System.Int32&,Microsoft.Isam.Esent.Interop.DefragGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDefragment2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.Int32&,System.Int32&,Microsoft.Isam.Esent.Interop.JET_CALLBACK,Microsoft.Isam.Esent.Interop.DefragGrbit)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDefragment2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.Int32&,System.Int32&,Microsoft.Isam.Esent.Interop.JET_CALLBACK,Microsoft.Isam.Esent.Interop.DefragGrbit)", MessageId = "Defragment", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDefragment2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.Int32&,System.Int32&,Microsoft.Isam.Esent.Interop.JET_CALLBACK,Microsoft.Isam.Esent.Interop.DefragGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDefragment2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.Int32&,System.Int32&,Microsoft.Isam.Esent.Interop.JET_CALLBACK,Microsoft.Isam.Esent.Interop.DefragGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDelete(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDelete(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDeleteColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDeleteColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDeleteColumn2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.DeleteColumnGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDeleteColumn2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.DeleteColumnGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDeleteColumn2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.DeleteColumnGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDeleteIndex(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDeleteIndex(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDeleteTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDeleteTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDetachDatabase(Microsoft.Isam.Esent.Interop.JET_SESID,System.String)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDetachDatabase2(Microsoft.Isam.Esent.Interop.JET_SESID,System.String,Microsoft.Isam.Esent.Interop.DetachDatabaseGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDetachDatabase2(Microsoft.Isam.Esent.Interop.JET_SESID,System.String,Microsoft.Isam.Esent.Interop.DetachDatabaseGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDupCursor(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_TABLEID&,Microsoft.Isam.Esent.Interop.DupCursorGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDupCursor(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_TABLEID&,Microsoft.Isam.Esent.Interop.DupCursorGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDupCursor(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_TABLEID&,Microsoft.Isam.Esent.Interop.DupCursorGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDupCursor(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_TABLEID&,Microsoft.Isam.Esent.Interop.DupCursorGrbit)", MessageId = "Tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDupSession(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_SESID&)", MessageId = "Sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetDupSession(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_SESID&)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetEndExternalBackupInstance2(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.EndExternalBackupGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetEndSession(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.EndSessionGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetEndSession(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.EndSessionGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetEnumerateColumns(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int32,Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNID[],System.Int32&,Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMN[]&,Microsoft.Isam.Esent.Interop.JET_PFNREALLOC,System.IntPtr,System.Int32,Microsoft.Isam.Esent.Interop.EnumerateColumnsGrbit)", MessageId = "allocator", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetEnumerateColumns(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int32,Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNID[],System.Int32&,Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMN[]&,Microsoft.Isam.Esent.Interop.JET_PFNREALLOC,System.IntPtr,System.Int32,Microsoft.Isam.Esent.Interop.EnumerateColumnsGrbit)", MessageId = "Columnids", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetEnumerateColumns(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int32,Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNID[],System.Int32&,Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMN[]&,Microsoft.Isam.Esent.Interop.JET_PFNREALLOC,System.IntPtr,System.Int32,Microsoft.Isam.Esent.Interop.EnumerateColumnsGrbit)", MessageId = "columnids", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetEnumerateColumns(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int32,Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNID[],System.Int32&,Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMN[]&,Microsoft.Isam.Esent.Interop.JET_PFNREALLOC,System.IntPtr,System.Int32,Microsoft.Isam.Esent.Interop.EnumerateColumnsGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetEnumerateColumns(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int32,Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNID[],System.Int32&,Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMN[]&,Microsoft.Isam.Esent.Interop.JET_PFNREALLOC,System.IntPtr,System.Int32,Microsoft.Isam.Esent.Interop.EnumerateColumnsGrbit)", MessageId = "num", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetEnumerateColumns(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int32,Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNID[],System.Int32&,Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMN[]&,Microsoft.Isam.Esent.Interop.JET_PFNREALLOC,System.IntPtr,System.Int32,Microsoft.Isam.Esent.Interop.EnumerateColumnsGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetEnumerateColumns(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int32,Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNID[],System.Int32&,Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMN[]&,Microsoft.Isam.Esent.Interop.JET_PFNREALLOC,System.IntPtr,System.Int32,Microsoft.Isam.Esent.Interop.EnumerateColumnsGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetEscrowUpdate(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],System.Int32,System.Byte[],System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.EscrowUpdateGrbit)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetEscrowUpdate(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],System.Int32,System.Byte[],System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.EscrowUpdateGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetEscrowUpdate(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],System.Int32,System.Byte[],System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.EscrowUpdateGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetEscrowUpdate(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],System.Int32,System.Byte[],System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.EscrowUpdateGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetBookmark(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],System.Int32,System.Int32&)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetBookmark(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],System.Int32,System.Int32&)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF&)", MessageId = "columndef", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF&)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF&)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF&)", MessageId = "tablename", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNLIST&)", MessageId = "columnlist", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNLIST&)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNLIST&)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNLIST&)", MessageId = "tablename", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetCurrentIndex(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String&,System.Int32)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetCurrentIndex(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String&,System.Int32)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetCursorInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetCursorInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_INDEXID&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_INDEXID&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "indexname", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_INDEXID&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_INDEXID&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "tablename", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_INDEXLIST&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_INDEXLIST&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "indexname", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_INDEXLIST&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_INDEXLIST&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "tablename", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,System.String&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,System.String&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "indexname", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,System.String&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,System.String&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "tablename", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,System.Int32&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,System.Int32&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "indexname", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,System.Int32&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,System.Int32&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "tablename", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,System.UInt16&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,System.UInt16&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "indexname", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,System.UInt16&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,System.UInt16&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "tablename", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetInstanceInfo(System.Int32&,Microsoft.Isam.Esent.Interop.JET_INSTANCE_INFO[]&)", MessageId = "num", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetLock(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.GetLockGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetLock(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.GetLockGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetLock(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.GetLockGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetLS(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_LS&,Microsoft.Isam.Esent.Interop.LsGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetLS(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_LS&,Microsoft.Isam.Esent.Interop.LsGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetLS(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_LS&,Microsoft.Isam.Esent.Interop.LsGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetObjectInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,Microsoft.Isam.Esent.Interop.JET_OBJECTLIST&)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetObjectInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,Microsoft.Isam.Esent.Interop.JET_OBJECTLIST&)", MessageId = "objectlist", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetObjectInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,Microsoft.Isam.Esent.Interop.JET_OBJECTLIST&)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetRecordPosition(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_RECPOS&)", MessageId = "recpos", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetRecordPosition(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_RECPOS&)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetRecordPosition(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_RECPOS&)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetRecordSize(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_RECSIZE&,Microsoft.Isam.Esent.Interop.GetRecordSizeGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetRecordSize(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_RECSIZE&,Microsoft.Isam.Esent.Interop.GetRecordSizeGrbit)", MessageId = "recsize", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetRecordSize(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_RECSIZE&,Microsoft.Isam.Esent.Interop.GetRecordSizeGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetRecordSize(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_RECSIZE&,Microsoft.Isam.Esent.Interop.GetRecordSizeGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetSecondaryIndexBookmark(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],System.Int32,System.Int32&,System.Byte[],System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.GetSecondaryIndexBookmarkGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetSecondaryIndexBookmark(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],System.Int32,System.Int32&,System.Byte[],System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.GetSecondaryIndexBookmarkGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetSecondaryIndexBookmark(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],System.Int32,System.Int32&,System.Byte[],System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.GetSecondaryIndexBookmarkGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetSystemParameter(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_param,System.Int32&,System.String&,System.Int32)", MessageId = "Param", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetSystemParameter(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_param,System.Int32&,System.String&,System.Int32)", MessageId = "param", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetSystemParameter(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_param,System.Int32&,System.String&,System.Int32)", MessageId = "paramid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetSystemParameter(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_param,System.Int32&,System.String&,System.Int32)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF&)", MessageId = "columndef", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF&)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF&)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF&)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF&)", MessageId = "columndef", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF&)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF&)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNLIST&)", MessageId = "columnlist", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNLIST&)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableColumnInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.JET_COLUMNLIST&)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.JET_INDEXID&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "indexname", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.JET_INDEXID&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.JET_INDEXID&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.JET_INDEXLIST&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "indexname", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.JET_INDEXLIST&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.JET_INDEXLIST&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,System.String&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "indexname", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,System.String&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,System.String&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,System.Int32&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "indexname", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,System.Int32&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,System.Int32&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,System.UInt16&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "indexname", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,System.UInt16&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableIndexInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,System.UInt16&,Microsoft.Isam.Esent.Interop.JET_IdxInfo)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_DBID&,Microsoft.Isam.Esent.Interop.JET_TblInfo)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_DBID&,Microsoft.Isam.Esent.Interop.JET_TblInfo)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_OBJECTINFO&,Microsoft.Isam.Esent.Interop.JET_TblInfo)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_OBJECTINFO&,Microsoft.Isam.Esent.Interop.JET_TblInfo)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int32&,Microsoft.Isam.Esent.Interop.JET_TblInfo)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int32&,Microsoft.Isam.Esent.Interop.JET_TblInfo)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int32[],Microsoft.Isam.Esent.Interop.JET_TblInfo)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int32[],Microsoft.Isam.Esent.Interop.JET_TblInfo)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String&,Microsoft.Isam.Esent.Interop.JET_TblInfo)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetTableInfo(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String&,Microsoft.Isam.Esent.Interop.JET_TblInfo)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetVersion(Microsoft.Isam.Esent.Interop.JET_SESID,System.UInt32&)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGotoBookmark(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],System.Int32)", MessageId = "Goto", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGotoBookmark(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],System.Int32)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGotoBookmark(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],System.Int32)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGotoPosition(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_RECPOS)", MessageId = "Goto", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGotoPosition(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_RECPOS)", MessageId = "recpos", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGotoPosition(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_RECPOS)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGotoPosition(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_RECPOS)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGotoSecondaryIndexBookmark(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],System.Int32,System.Byte[],System.Int32,Microsoft.Isam.Esent.Interop.GotoSecondaryIndexBookmarkGrbit)", MessageId = "Goto", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGotoSecondaryIndexBookmark(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],System.Int32,System.Byte[],System.Int32,Microsoft.Isam.Esent.Interop.GotoSecondaryIndexBookmarkGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGotoSecondaryIndexBookmark(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],System.Int32,System.Byte[],System.Int32,Microsoft.Isam.Esent.Interop.GotoSecondaryIndexBookmarkGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGotoSecondaryIndexBookmark(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],System.Int32,System.Byte[],System.Int32,Microsoft.Isam.Esent.Interop.GotoSecondaryIndexBookmarkGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGrowDatabase(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.Int32,System.Int32&)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGrowDatabase(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.Int32,System.Int32&)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetIdle(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.IdleGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetIdle(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.IdleGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetIndexRecordCount(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int32&,System.Int32)", MessageId = "num", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetIndexRecordCount(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int32&,System.Int32)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetIndexRecordCount(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int32&,System.Int32)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetInit2(Microsoft.Isam.Esent.Interop.JET_INSTANCE&,Microsoft.Isam.Esent.Interop.InitGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetIntersectIndexes(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_INDEXRANGE[],System.Int32,Microsoft.Isam.Esent.Interop.JET_RECORDLIST&,Microsoft.Isam.Esent.Interop.IntersectIndexesGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetIntersectIndexes(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_INDEXRANGE[],System.Int32,Microsoft.Isam.Esent.Interop.JET_RECORDLIST&,Microsoft.Isam.Esent.Interop.IntersectIndexesGrbit)", MessageId = "num", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetIntersectIndexes(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_INDEXRANGE[],System.Int32,Microsoft.Isam.Esent.Interop.JET_RECORDLIST&,Microsoft.Isam.Esent.Interop.IntersectIndexesGrbit)", MessageId = "recordlist", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetIntersectIndexes(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_INDEXRANGE[],System.Int32,Microsoft.Isam.Esent.Interop.JET_RECORDLIST&,Microsoft.Isam.Esent.Interop.IntersectIndexesGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetMakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],System.Int32,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetMakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],System.Int32,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetMakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],System.Int32,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetMove(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_Move,Microsoft.Isam.Esent.Interop.MoveGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetMove(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_Move,Microsoft.Isam.Esent.Interop.MoveGrbit)", MessageId = "num", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetMove(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_Move,Microsoft.Isam.Esent.Interop.MoveGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetMove(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_Move,Microsoft.Isam.Esent.Interop.MoveGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetMove(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int32,Microsoft.Isam.Esent.Interop.MoveGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetMove(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int32,Microsoft.Isam.Esent.Interop.MoveGrbit)", MessageId = "num", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetMove(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int32,Microsoft.Isam.Esent.Interop.MoveGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetMove(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int32,Microsoft.Isam.Esent.Interop.MoveGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOpenDatabase(Microsoft.Isam.Esent.Interop.JET_SESID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_DBID&,Microsoft.Isam.Esent.Interop.OpenDatabaseGrbit)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOpenDatabase(Microsoft.Isam.Esent.Interop.JET_SESID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_DBID&,Microsoft.Isam.Esent.Interop.OpenDatabaseGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOpenDatabase(Microsoft.Isam.Esent.Interop.JET_SESID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_DBID&,Microsoft.Isam.Esent.Interop.OpenDatabaseGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOpenTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.Byte[],System.Int32,Microsoft.Isam.Esent.Interop.OpenTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOpenTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.Byte[],System.Int32,Microsoft.Isam.Esent.Interop.OpenTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOpenTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.Byte[],System.Int32,Microsoft.Isam.Esent.Interop.OpenTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOpenTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.Byte[],System.Int32,Microsoft.Isam.Esent.Interop.OpenTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOpenTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.Byte[],System.Int32,Microsoft.Isam.Esent.Interop.OpenTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&)", MessageId = "tablename", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOpenTempTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF[],System.Int32,Microsoft.Isam.Esent.Interop.TempTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[])", MessageId = "columnids", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOpenTempTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF[],System.Int32,Microsoft.Isam.Esent.Interop.TempTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[])", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOpenTempTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF[],System.Int32,Microsoft.Isam.Esent.Interop.TempTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[])", MessageId = "num", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOpenTempTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF[],System.Int32,Microsoft.Isam.Esent.Interop.TempTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[])", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOpenTempTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF[],System.Int32,Microsoft.Isam.Esent.Interop.TempTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[])", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOpenTempTable2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF[],System.Int32,System.Int32,Microsoft.Isam.Esent.Interop.TempTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[])", MessageId = "columnids", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOpenTempTable2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF[],System.Int32,System.Int32,Microsoft.Isam.Esent.Interop.TempTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[])", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOpenTempTable2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF[],System.Int32,System.Int32,Microsoft.Isam.Esent.Interop.TempTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[])", MessageId = "lcid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOpenTempTable2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF[],System.Int32,System.Int32,Microsoft.Isam.Esent.Interop.TempTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[])", MessageId = "num", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOpenTempTable2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF[],System.Int32,System.Int32,Microsoft.Isam.Esent.Interop.TempTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[])", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOpenTempTable2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF[],System.Int32,System.Int32,Microsoft.Isam.Esent.Interop.TempTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[])", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOpenTempTable3(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF[],System.Int32,Microsoft.Isam.Esent.Interop.JET_UNICODEINDEX,Microsoft.Isam.Esent.Interop.TempTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[])", MessageId = "columnids", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOpenTempTable3(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF[],System.Int32,Microsoft.Isam.Esent.Interop.JET_UNICODEINDEX,Microsoft.Isam.Esent.Interop.TempTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[])", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOpenTempTable3(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF[],System.Int32,Microsoft.Isam.Esent.Interop.JET_UNICODEINDEX,Microsoft.Isam.Esent.Interop.TempTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[])", MessageId = "num", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOpenTempTable3(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF[],System.Int32,Microsoft.Isam.Esent.Interop.JET_UNICODEINDEX,Microsoft.Isam.Esent.Interop.TempTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[])", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOpenTempTable3(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF[],System.Int32,Microsoft.Isam.Esent.Interop.JET_UNICODEINDEX,Microsoft.Isam.Esent.Interop.TempTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[])", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOpenTempTable3(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_COLUMNDEF[],System.Int32,Microsoft.Isam.Esent.Interop.JET_UNICODEINDEX,Microsoft.Isam.Esent.Interop.TempTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[])", MessageId = "unicodeindex", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOSSnapshotFreeze(Microsoft.Isam.Esent.Interop.JET_OSSNAPID,System.Int32&,Microsoft.Isam.Esent.Interop.JET_INSTANCE_INFO[]&,Microsoft.Isam.Esent.Interop.SnapshotFreezeGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOSSnapshotFreeze(Microsoft.Isam.Esent.Interop.JET_OSSNAPID,System.Int32&,Microsoft.Isam.Esent.Interop.JET_INSTANCE_INFO[]&,Microsoft.Isam.Esent.Interop.SnapshotFreezeGrbit)", MessageId = "num", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOSSnapshotPrepare(Microsoft.Isam.Esent.Interop.JET_OSSNAPID&,Microsoft.Isam.Esent.Interop.SnapshotPrepareGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetOSSnapshotThaw(Microsoft.Isam.Esent.Interop.JET_OSSNAPID,Microsoft.Isam.Esent.Interop.SnapshotThawGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetPrepareUpdate(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_prep)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetPrepareUpdate(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_prep)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRegisterCallback(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_cbtyp,Microsoft.Isam.Esent.Interop.JET_CALLBACK,System.IntPtr,Microsoft.Isam.Esent.Interop.JET_HANDLE&)", MessageId = "cbtyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRegisterCallback(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_cbtyp,Microsoft.Isam.Esent.Interop.JET_CALLBACK,System.IntPtr,Microsoft.Isam.Esent.Interop.JET_HANDLE&)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRegisterCallback(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_cbtyp,Microsoft.Isam.Esent.Interop.JET_CALLBACK,System.IntPtr,Microsoft.Isam.Esent.Interop.JET_HANDLE&)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRenameColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,System.String,Microsoft.Isam.Esent.Interop.RenameColumnGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRenameColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,System.String,Microsoft.Isam.Esent.Interop.RenameColumnGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRenameColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,System.String,Microsoft.Isam.Esent.Interop.RenameColumnGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRenameTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRenameTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetResetSessionContext(Microsoft.Isam.Esent.Interop.JET_SESID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetResetTableSequential(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.ResetTableSequentialGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetResetTableSequential(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.ResetTableSequentialGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetResetTableSequential(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.ResetTableSequentialGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRetrieveColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit,Microsoft.Isam.Esent.Interop.JET_RETINFO)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRetrieveColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit,Microsoft.Isam.Esent.Interop.JET_RETINFO)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRetrieveColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit,Microsoft.Isam.Esent.Interop.JET_RETINFO)", MessageId = "retinfo", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRetrieveColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit,Microsoft.Isam.Esent.Interop.JET_RETINFO)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRetrieveColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit,Microsoft.Isam.Esent.Interop.JET_RETINFO)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRetrieveColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],System.Int32,System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit,Microsoft.Isam.Esent.Interop.JET_RETINFO)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRetrieveColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],System.Int32,System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit,Microsoft.Isam.Esent.Interop.JET_RETINFO)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRetrieveColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],System.Int32,System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit,Microsoft.Isam.Esent.Interop.JET_RETINFO)", MessageId = "retinfo", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRetrieveColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],System.Int32,System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit,Microsoft.Isam.Esent.Interop.JET_RETINFO)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRetrieveColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],System.Int32,System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit,Microsoft.Isam.Esent.Interop.JET_RETINFO)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRetrieveColumns(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN[],System.Int32)", MessageId = "num", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRetrieveColumns(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN[],System.Int32)", MessageId = "retrievecolumns", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRetrieveColumns(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN[],System.Int32)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRetrieveColumns(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN[],System.Int32)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRetrieveKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.RetrieveKeyGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRetrieveKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.RetrieveKeyGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRetrieveKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.RetrieveKeyGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRollback(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.RollbackTransactionGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetRollback(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.RollbackTransactionGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSeek(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.SeekGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSeek(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.SeekGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSeek(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.SeekGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],System.Int32,Microsoft.Isam.Esent.Interop.SetColumnGrbit,Microsoft.Isam.Esent.Interop.JET_SETINFO)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],System.Int32,Microsoft.Isam.Esent.Interop.SetColumnGrbit,Microsoft.Isam.Esent.Interop.JET_SETINFO)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],System.Int32,Microsoft.Isam.Esent.Interop.SetColumnGrbit,Microsoft.Isam.Esent.Interop.JET_SETINFO)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],System.Int32,Microsoft.Isam.Esent.Interop.SetColumnGrbit,Microsoft.Isam.Esent.Interop.JET_SETINFO)", MessageId = "setinfo", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],System.Int32,Microsoft.Isam.Esent.Interop.SetColumnGrbit,Microsoft.Isam.Esent.Interop.JET_SETINFO)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],System.Int32,System.Int32,Microsoft.Isam.Esent.Interop.SetColumnGrbit,Microsoft.Isam.Esent.Interop.JET_SETINFO)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],System.Int32,System.Int32,Microsoft.Isam.Esent.Interop.SetColumnGrbit,Microsoft.Isam.Esent.Interop.JET_SETINFO)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],System.Int32,System.Int32,Microsoft.Isam.Esent.Interop.SetColumnGrbit,Microsoft.Isam.Esent.Interop.JET_SETINFO)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],System.Int32,System.Int32,Microsoft.Isam.Esent.Interop.SetColumnGrbit,Microsoft.Isam.Esent.Interop.JET_SETINFO)", MessageId = "setinfo", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],System.Int32,System.Int32,Microsoft.Isam.Esent.Interop.SetColumnGrbit,Microsoft.Isam.Esent.Interop.JET_SETINFO)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetColumnDefaultValue(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,System.Byte[],System.Int32,Microsoft.Isam.Esent.Interop.SetColumnDefaultValueGrbit)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetColumnDefaultValue(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,System.Byte[],System.Int32,Microsoft.Isam.Esent.Interop.SetColumnDefaultValueGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetColumnDefaultValue(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.String,System.Byte[],System.Int32,Microsoft.Isam.Esent.Interop.SetColumnDefaultValueGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetColumns(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_SETCOLUMN[],System.Int32)", MessageId = "num", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetColumns(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_SETCOLUMN[],System.Int32)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetColumns(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_SETCOLUMN[],System.Int32)", MessageId = "setcolumns", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetColumns(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_SETCOLUMN[],System.Int32)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetCurrentIndex(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetCurrentIndex(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetCurrentIndex2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.SetCurrentIndexGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetCurrentIndex2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.SetCurrentIndexGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetCurrentIndex2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.SetCurrentIndexGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetCurrentIndex3(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.SetCurrentIndexGrbit,System.Int32)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetCurrentIndex3(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.SetCurrentIndexGrbit,System.Int32)", MessageId = "itag", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetCurrentIndex3(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.SetCurrentIndexGrbit,System.Int32)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetCurrentIndex3(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.SetCurrentIndexGrbit,System.Int32)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetCurrentIndex4(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.JET_INDEXID,Microsoft.Isam.Esent.Interop.SetCurrentIndexGrbit,System.Int32)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetCurrentIndex4(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.JET_INDEXID,Microsoft.Isam.Esent.Interop.SetCurrentIndexGrbit,System.Int32)", MessageId = "indexid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetCurrentIndex4(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.JET_INDEXID,Microsoft.Isam.Esent.Interop.SetCurrentIndexGrbit,System.Int32)", MessageId = "itag", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetCurrentIndex4(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.JET_INDEXID,Microsoft.Isam.Esent.Interop.SetCurrentIndexGrbit,System.Int32)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetCurrentIndex4(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,Microsoft.Isam.Esent.Interop.JET_INDEXID,Microsoft.Isam.Esent.Interop.SetCurrentIndexGrbit,System.Int32)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetDatabaseSize(Microsoft.Isam.Esent.Interop.JET_SESID,System.String,System.Int32,System.Int32&)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetIndexRange(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.SetIndexRangeGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetIndexRange(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.SetIndexRangeGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetIndexRange(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.SetIndexRangeGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetLS(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_LS,Microsoft.Isam.Esent.Interop.LsGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetLS(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_LS,Microsoft.Isam.Esent.Interop.LsGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetLS(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_LS,Microsoft.Isam.Esent.Interop.LsGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetSessionContext(Microsoft.Isam.Esent.Interop.JET_SESID,System.IntPtr)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetSystemParameter(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_param,Microsoft.Isam.Esent.Interop.JET_CALLBACK,System.String)", MessageId = "param", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetSystemParameter(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_param,Microsoft.Isam.Esent.Interop.JET_CALLBACK,System.String)", MessageId = "paramid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetSystemParameter(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_param,Microsoft.Isam.Esent.Interop.JET_CALLBACK,System.String)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetSystemParameter(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_param,System.Int32,System.String)", MessageId = "param", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetSystemParameter(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_param,System.Int32,System.String)", MessageId = "paramid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetSystemParameter(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_param,System.Int32,System.String)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetTableSequential(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.SetTableSequentialGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetTableSequential(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.SetTableSequentialGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetTableSequential(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.SetTableSequentialGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetTerm2(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.TermGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetUnregisterCallback(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_cbtyp,Microsoft.Isam.Esent.Interop.JET_HANDLE)", MessageId = "cbtyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetUnregisterCallback(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_cbtyp,Microsoft.Isam.Esent.Interop.JET_HANDLE)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetUnregisterCallback(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_cbtyp,Microsoft.Isam.Esent.Interop.JET_HANDLE)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetUpdate(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetUpdate(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetUpdate(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],System.Int32,System.Int32&)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetUpdate(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],System.Int32,System.Int32&)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Boolean,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Boolean,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Boolean,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.DateTime,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.DateTime,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.DateTime,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Double,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Double,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Double,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Guid,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Guid,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Guid,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int16,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int16,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int16,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int32,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int32,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int32,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int64,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int64,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Int64,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Single,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Single,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Single,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,System.Text.Encoding,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,System.Text.Encoding,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.String,System.Text.Encoding,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.UInt16,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.UInt16,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.UInt16,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.UInt32,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.UInt32,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.UInt32,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.UInt64,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.UInt64,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MakeKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.UInt64,Microsoft.Isam.Esent.Interop.MakeKeyGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MoveAfterLast(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MoveAfterLast(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MoveBeforeFirst(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#MoveBeforeFirst(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#ResetIndexRange(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#ResetIndexRange(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit,Microsoft.Isam.Esent.Interop.JET_RETINFO)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit,Microsoft.Isam.Esent.Interop.JET_RETINFO)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit,Microsoft.Isam.Esent.Interop.JET_RETINFO)", MessageId = "retinfo", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit,Microsoft.Isam.Esent.Interop.JET_RETINFO)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit,Microsoft.Isam.Esent.Interop.JET_RETINFO)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsBoolean(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsBoolean(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsBoolean(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsBoolean(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsBoolean(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsBoolean(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsBoolean(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsByte(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsByte(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsByte(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsByte(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsByte(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsByte(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsByte(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsDateTime(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsDateTime(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsDateTime(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsDateTime(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsDateTime(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsDateTime(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsDateTime(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsDouble(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsDouble(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsDouble(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsDouble(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsDouble(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsDouble(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsDouble(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsFloat(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsFloat(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsFloat(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsFloat(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsFloat(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsFloat(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsFloat(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsGuid(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsGuid(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsGuid(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsGuid(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsGuid(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsGuid(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsGuid(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsInt16(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsInt16(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsInt16(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsInt16(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsInt16(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsInt16(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsInt16(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsInt32(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsInt32(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsInt32(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsInt32(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsInt32(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsInt32(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsInt32(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsInt64(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsInt64(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsInt64(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsInt64(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsInt64(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsInt64(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsInt64(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsString(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsString(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsString(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsString(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Text.Encoding)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsString(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Text.Encoding)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsString(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Text.Encoding)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsString(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Text.Encoding,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsString(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Text.Encoding,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsString(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Text.Encoding,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsString(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Text.Encoding,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsUInt16(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsUInt16(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsUInt16(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsUInt16(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsUInt16(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsUInt16(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsUInt16(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsUInt32(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsUInt32(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsUInt32(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsUInt32(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsUInt32(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsUInt32(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsUInt32(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsUInt64(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsUInt64(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsUInt64(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsUInt64(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsUInt64(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsUInt64(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnAsUInt64(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumns(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.ColumnValue[])", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumns(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.ColumnValue[])", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnSize(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnSize(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnSize(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnSize(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Int32,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnSize(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Int32,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnSize(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Int32,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "itag", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnSize(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Int32,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveColumnSize(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Int32,Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.RetrieveKeyGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.RetrieveKeyGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#RetrieveKey(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.RetrieveKeyGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SerializeObjectToColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Object)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SerializeObjectToColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Object)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SerializeObjectToColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Object)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Boolean)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Boolean)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Boolean)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[])", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[])", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[])", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],Microsoft.Isam.Esent.Interop.SetColumnGrbit)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],Microsoft.Isam.Esent.Interop.SetColumnGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],Microsoft.Isam.Esent.Interop.SetColumnGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Byte[],Microsoft.Isam.Esent.Interop.SetColumnGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.DateTime)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.DateTime)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.DateTime)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Double)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Double)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Double)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Guid)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Guid)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Guid)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Int16)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Int16)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Int16)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Int32)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Int32)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Int32)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Int64)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Int64)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Int64)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Single)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Single)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.Single)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.String,System.Text.Encoding)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.String,System.Text.Encoding)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.String,System.Text.Encoding)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.String,System.Text.Encoding,Microsoft.Isam.Esent.Interop.SetColumnGrbit)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.String,System.Text.Encoding,Microsoft.Isam.Esent.Interop.SetColumnGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.String,System.Text.Encoding,Microsoft.Isam.Esent.Interop.SetColumnGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.String,System.Text.Encoding,Microsoft.Isam.Esent.Interop.SetColumnGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.UInt16)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.UInt16)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.UInt16)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.UInt32)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.UInt32)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.UInt32)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.UInt64)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.UInt64)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumn(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID,System.UInt64)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumns(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.ColumnValue[])", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#SetColumns(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.ColumnValue[])", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#TryGetLock(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.GetLockGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#TryGetLock(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.GetLockGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#TryGetLock(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.GetLockGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#TryMove(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_Move,Microsoft.Isam.Esent.Interop.MoveGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#TryMove(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_Move,Microsoft.Isam.Esent.Interop.MoveGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#TryMove(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_Move,Microsoft.Isam.Esent.Interop.MoveGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#TryMoveFirst(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#TryMoveFirst(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#TryMoveLast(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#TryMoveLast(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#TryMoveNext(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#TryMoveNext(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#TryMovePrevious(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#TryMovePrevious(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#TryOpenTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,Microsoft.Isam.Esent.Interop.OpenTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#TryOpenTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,Microsoft.Isam.Esent.Interop.OpenTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#TryOpenTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,Microsoft.Isam.Esent.Interop.OpenTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#TryOpenTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,Microsoft.Isam.Esent.Interop.OpenTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#TryOpenTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,Microsoft.Isam.Esent.Interop.OpenTableGrbit,Microsoft.Isam.Esent.Interop.JET_TABLEID&)", MessageId = "tablename", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#TrySeek(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.SeekGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#TrySeek(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.SeekGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#TrySeek(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.SeekGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#TrySetIndexRange(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.SetIndexRangeGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#TrySetIndexRange(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.SetIndexRangeGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#TrySetIndexRange(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.SetIndexRangeGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.ColumndefGrbit.#ColumnAutoincrement", MessageId = "Autoincrement", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.ColumndefGrbit.#ColumnMultiValued", MessageId = "Multi", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.ColumndefGrbit.#ColumnUnversioned", MessageId = "Unversioned", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.ColumnInfo.#Coltyp", MessageId = "Coltyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.ColumnInfo.#Columnid", MessageId = "Columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.ColumnInfo.#Grbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.ColumnStream.#.ctor(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.ColumnStream.#.ctor(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.ColumnStream.#.ctor(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.ColumnStream.#Itag", MessageId = "Itag", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.ColumnValue.#Columnid", MessageId = "Columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.ColumnValue.#ItagSequence", MessageId = "Itag", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.ColumnValue.#RetrieveGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.ColumnValue.#SetGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Conversions.#CompareOptionsFromLCMapFlags(System.UInt32)", MessageId = "lcmap", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Conversions.#ConvertDoubleToDateTime(System.Double)", MessageId = "d", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.CreateIndexGrbit.#IndexUnversioned", MessageId = "Unversioned", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.IndexInfo.#Grbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.IndexSegment.#Coltyp", MessageId = "Coltyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Instance.#.ctor(System.String,System.String,Microsoft.Isam.Esent.Interop.TermGrbit)", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Instance.#TermGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Instance.#Init(Microsoft.Isam.Esent.Interop.InitGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Instance.#Init(Microsoft.Isam.Esent.Interop.JET_RSTINFO,Microsoft.Isam.Esent.Interop.InitGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.InstanceParameters.#MaxVerPages", MessageId = "Ver", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.InstanceParameters.#PreferredVerPages", MessageId = "Ver", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_BKINFO.#bklogtimeMark", MessageId = "bklogtime", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_BKINFO.#lgposMark", MessageId = "lgpos", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_BKINFO.#op_Equality(Microsoft.Isam.Esent.Interop.JET_BKINFO,Microsoft.Isam.Esent.Interop.JET_BKINFO)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_BKINFO.#op_Inequality(Microsoft.Isam.Esent.Interop.JET_BKINFO,Microsoft.Isam.Esent.Interop.JET_BKINFO)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_BKLOGTIME.#op_Equality(Microsoft.Isam.Esent.Interop.JET_BKLOGTIME,Microsoft.Isam.Esent.Interop.JET_BKLOGTIME)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_BKLOGTIME.#op_Inequality(Microsoft.Isam.Esent.Interop.JET_BKLOGTIME,Microsoft.Isam.Esent.Interop.JET_BKLOGTIME)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNBASE.#cbMax", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNBASE.#coltyp", MessageId = "coltyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNBASE.#columnid", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNBASE.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNBASE.#szBaseColumnName", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNBASE.#szBaseTableName", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNCREATE.#cbDefault", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNCREATE.#cbMax", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNCREATE.#coltyp", MessageId = "coltyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNCREATE.#columnid", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNCREATE.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNCREATE.#szColumnName", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNDEF.#cbMax", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNDEF.#coltyp", MessageId = "coltyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNDEF.#columnid", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNDEF.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNID.#op_Equality(Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNID.#op_GreaterThan(Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNID.#op_GreaterThanOrEqual(Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNID.#op_Inequality(Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNID.#op_LessThan(Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNID.#op_LessThanOrEqual(Microsoft.Isam.Esent.Interop.JET_COLUMNID,Microsoft.Isam.Esent.Interop.JET_COLUMNID)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNLIST.#columnidcbMax", MessageId = "columnidcb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNLIST.#columnidcoltyp", MessageId = "columnidcoltyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNLIST.#columnidcolumnid", MessageId = "columnidcolumnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNLIST.#columnidcolumnname", MessageId = "columnidcolumnname", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNLIST.#columnidCp", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNLIST.#columnidDefault", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNLIST.#columnidgrbit", MessageId = "columnidgrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNLIST.#tableid", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_CONDITIONALCOLUMN.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_CONDITIONALCOLUMN.#szColumnName", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBID.#op_Equality(Microsoft.Isam.Esent.Interop.JET_DBID,Microsoft.Isam.Esent.Interop.JET_DBID)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBID.#op_Inequality(Microsoft.Isam.Esent.Interop.JET_DBID,Microsoft.Isam.Esent.Interop.JET_DBID)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DbInfo.#Filesize", MessageId = "Filesize", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#bkinfoCopyPrev", MessageId = "bkinfo", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#bkinfoCopyPrev", MessageId = "Prev", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#bkinfoDiffPrev", MessageId = "bkinfo", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#bkinfoDiffPrev", MessageId = "Prev", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#bkinfoFullCur", MessageId = "bkinfo", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#bkinfoFullPrev", MessageId = "bkinfo", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#bkinfoFullPrev", MessageId = "Prev", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#bkinfoIncPrev", MessageId = "bkinfo", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#bkinfoIncPrev", MessageId = "Prev", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#cbPageSize", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#dbstate", MessageId = "dbstate", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#dwBuildNumber", MessageId = "dw", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#dwMajorVersion", MessageId = "dw", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#dwMinorVersion", MessageId = "dw", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#lgposAttach", MessageId = "lgpos", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#lgposConsistent", MessageId = "lgpos", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#lgposDetach", MessageId = "lgpos", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#logtimeAttach", MessageId = "logtime", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#logtimeBadChecksum", MessageId = "logtime", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#logtimeConsistent", MessageId = "logtime", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#logtimeDetach", MessageId = "logtime", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#logtimeECCFixFail", MessageId = "logtime", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#logtimeECCFixSuccess", MessageId = "logtime", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#logtimeGenMaxCreate", MessageId = "logtime", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#logtimeRepair", MessageId = "logtime", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMN.#cbData", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMN.#columnid", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMN.#rgEnumColumnValue", MessageId = "rg", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNID.#columnid", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNID.#ctagSequence", MessageId = "ctag", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNID.#rgtagSequence", MessageId = "rgtag", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNVALUE.#cbData", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNVALUE.#itagSequence", MessageId = "itag", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#BadItagSequence", MessageId = "Itag", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#IndexTuplesVarSegMacNotAllowed", MessageId = "Seg", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#InvalidGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#InvalidSesid", MessageId = "Sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#MultiValuedColumnMustBeTagged", MessageId = "Multi", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#MultiValuedDuplicate", MessageId = "Multi", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#MultiValuedDuplicateAfterTruncation", MessageId = "Multi", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#MultiValuedIndexViolation", MessageId = "Multi", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#OutOfAutoincrementValues", MessageId = "Autoincrement", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#OutOfDbtimeValues", MessageId = "Dbtime", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#ReadPgnoVerifyFailure", MessageId = "Pgno", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#RfsFailure", MessageId = "Rfs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#RfsNotArmed", MessageId = "Rfs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#RunningInMultiInstanceMode", MessageId = "Multi", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SesidTableIdMismatch", MessageId = "Sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SystemParamsAlreadySet", MessageId = "Params", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#TooManyMempoolEntries", MessageId = "Mempool", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_HANDLE.#op_Equality(Microsoft.Isam.Esent.Interop.JET_HANDLE,Microsoft.Isam.Esent.Interop.JET_HANDLE)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_HANDLE.#op_Inequality(Microsoft.Isam.Esent.Interop.JET_HANDLE,Microsoft.Isam.Esent.Interop.JET_HANDLE)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_IdxInfo.#SpaceAlloc", MessageId = "Alloc", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_IdxInfo.#VarSegMac", MessageId = "Seg", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE.#cbKey", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE.#cbKeyMost", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE.#cbVarSegMac", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE.#cbVarSegMac", MessageId = "Seg", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE.#pidxUnicode", MessageId = "pidx", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE.#rgconditionalcolumn", MessageId = "rgconditionalcolumn", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE.#szIndexName", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE.#szKey", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXID.#op_Equality(Microsoft.Isam.Esent.Interop.JET_INDEXID,Microsoft.Isam.Esent.Interop.JET_INDEXID)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXID.#op_Inequality(Microsoft.Isam.Esent.Interop.JET_INDEXID,Microsoft.Isam.Esent.Interop.JET_INDEXID)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidcColumn", MessageId = "columnidc", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidcEntry", MessageId = "columnidc", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidcKey", MessageId = "columnidc", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidcoltyp", MessageId = "columnidcoltyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidcolumnid", MessageId = "columnidcolumnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidcolumnname", MessageId = "columnidcolumnname", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidCp", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidcPage", MessageId = "columnidc", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidgrbitColumn", MessageId = "columnidgrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidgrbitIndex", MessageId = "columnidgrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidiColumn", MessageId = "columnidi", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidindexname", MessageId = "columnidindexname", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidLangid", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidLangid", MessageId = "Langid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidLCMapFlags", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#tableid", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXRANGE.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXRANGE.#tableid", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INSTANCE.#op_Equality(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_INSTANCE)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INSTANCE.#op_Inequality(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_INSTANCE)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INSTANCE_INFO.#szDatabaseFileName", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INSTANCE_INFO.#szInstanceName", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_LGPOS.#ib", MessageId = "ib", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_LGPOS.#isec", MessageId = "isec", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_LGPOS.#op_Equality(Microsoft.Isam.Esent.Interop.JET_LGPOS,Microsoft.Isam.Esent.Interop.JET_LGPOS)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_LGPOS.#op_GreaterThan(Microsoft.Isam.Esent.Interop.JET_LGPOS,Microsoft.Isam.Esent.Interop.JET_LGPOS)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_LGPOS.#op_GreaterThanOrEqual(Microsoft.Isam.Esent.Interop.JET_LGPOS,Microsoft.Isam.Esent.Interop.JET_LGPOS)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_LGPOS.#op_Inequality(Microsoft.Isam.Esent.Interop.JET_LGPOS,Microsoft.Isam.Esent.Interop.JET_LGPOS)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_LGPOS.#op_LessThan(Microsoft.Isam.Esent.Interop.JET_LGPOS,Microsoft.Isam.Esent.Interop.JET_LGPOS)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_LGPOS.#op_LessThanOrEqual(Microsoft.Isam.Esent.Interop.JET_LGPOS,Microsoft.Isam.Esent.Interop.JET_LGPOS)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_LOGTIME.#op_Equality(Microsoft.Isam.Esent.Interop.JET_LOGTIME,Microsoft.Isam.Esent.Interop.JET_LOGTIME)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_LOGTIME.#op_Inequality(Microsoft.Isam.Esent.Interop.JET_LOGTIME,Microsoft.Isam.Esent.Interop.JET_LOGTIME)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_LS.#op_Equality(Microsoft.Isam.Esent.Interop.JET_LS,Microsoft.Isam.Esent.Interop.JET_LS)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_LS.#op_Inequality(Microsoft.Isam.Esent.Interop.JET_LS,Microsoft.Isam.Esent.Interop.JET_LS)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTINFO.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTINFO.#objtyp", MessageId = "objtyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTLIST.#columnidcPage", MessageId = "columnidc", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTLIST.#columnidcRecord", MessageId = "columnidc", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTLIST.#columnidflags", MessageId = "columnidflags", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTLIST.#columnidgrbit", MessageId = "columnidgrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTLIST.#columnidobjectname", MessageId = "columnidobjectname", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTLIST.#columnidobjtyp", MessageId = "columnidobjtyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTLIST.#tableid", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_OSSNAPID.#op_Equality(Microsoft.Isam.Esent.Interop.JET_OSSNAPID,Microsoft.Isam.Esent.Interop.JET_OSSNAPID)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_OSSNAPID.#op_Inequality(Microsoft.Isam.Esent.Interop.JET_OSSNAPID,Microsoft.Isam.Esent.Interop.JET_OSSNAPID)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_param.#MaxVerPages", MessageId = "Ver", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_param.#PreferredVerPages", MessageId = "Ver", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECORDLIST.#columnidBookmark", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECORDLIST.#tableid", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECPOS.#centriesLT", MessageId = "centries", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECPOS.#centriesTotal", MessageId = "centries", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#Add(Microsoft.Isam.Esent.Interop.JET_RECSIZE,Microsoft.Isam.Esent.Interop.JET_RECSIZE)", MessageId = "s", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#cbData", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#cbDataCompressed", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#cbLongValueData", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#cbLongValueDataCompressed", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#cbLongValueOverhead", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#cbOverhead", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#cMultiValues", MessageId = "Multi", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#op_Addition(Microsoft.Isam.Esent.Interop.JET_RECSIZE,Microsoft.Isam.Esent.Interop.JET_RECSIZE)", MessageId = "s", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#op_Equality(Microsoft.Isam.Esent.Interop.JET_RECSIZE,Microsoft.Isam.Esent.Interop.JET_RECSIZE)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#op_Inequality(Microsoft.Isam.Esent.Interop.JET_RECSIZE,Microsoft.Isam.Esent.Interop.JET_RECSIZE)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#op_Subtraction(Microsoft.Isam.Esent.Interop.JET_RECSIZE,Microsoft.Isam.Esent.Interop.JET_RECSIZE)", MessageId = "s", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#Subtract(Microsoft.Isam.Esent.Interop.JET_RECSIZE,Microsoft.Isam.Esent.Interop.JET_RECSIZE)", MessageId = "s", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETINFO.#columnidNextTagged", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETINFO.#ibLongValue", MessageId = "ib", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETINFO.#itagSequence", MessageId = "itag", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN.#cbActual", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN.#cbData", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN.#columnid", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN.#columnidNextTagged", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN.#ibData", MessageId = "ib", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN.#ibLongValue", MessageId = "ib", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN.#itagSequence", MessageId = "itag", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RSTINFO.#crstmap", MessageId = "crstmap", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RSTINFO.#lgposStop", MessageId = "lgpos", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RSTINFO.#logtimeStop", MessageId = "logtime", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RSTINFO.#pfnStatus", MessageId = "pfn", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RSTINFO.#rgrstmap", MessageId = "rgrstmap", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RSTMAP.#szDatabaseName", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RSTMAP.#szNewDatabaseName", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SESID.#op_Equality(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_SESID)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SESID.#op_Inequality(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_SESID)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SETCOLUMN.#cbData", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SETCOLUMN.#columnid", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SETCOLUMN.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SETCOLUMN.#ibData", MessageId = "ib", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SETCOLUMN.#ibLongValue", MessageId = "ib", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SETCOLUMN.#itagSequence", MessageId = "itag", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SETINFO.#ibLongValue", MessageId = "ib", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SETINFO.#itagSequence", MessageId = "itag", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SIGNATURE.#op_Equality(Microsoft.Isam.Esent.Interop.JET_SIGNATURE,Microsoft.Isam.Esent.Interop.JET_SIGNATURE)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SIGNATURE.#op_Inequality(Microsoft.Isam.Esent.Interop.JET_SIGNATURE,Microsoft.Isam.Esent.Interop.JET_SIGNATURE)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SNPROG.#cunitDone", MessageId = "cunit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SNPROG.#cunitTotal", MessageId = "cunit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SPACEHINTS.#cbInitial", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SPACEHINTS.#cbMaxExtent", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SPACEHINTS.#cbMinExtent", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SPACEHINTS.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SPACEHINTS.#ulMaintDensity", MessageId = "Maint", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#cbSeparateLV", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#cbtyp", MessageId = "cbtyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#pLVSpacehints", MessageId = "Spacehints", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#pSeqSpacehints", MessageId = "Spacehints", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#rgcolumncreate", MessageId = "rgcolumncreate", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#rgindexcreate", MessageId = "rgindexcreate", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#szCallback", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#szTableName", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#szTemplateTableName", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#tableid", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLEID.#op_Equality(Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLEID.#op_Inequality(Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_TABLEID)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TblInfo.#Dbid", MessageId = "Dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TblInfo.#SpaceAlloc", MessageId = "Alloc", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_UNICODEINDEX.#dwMapFlags", MessageId = "dw", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_UNICODEINDEX.#lcid", MessageId = "lcid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_UNICODEINDEX.#szLocaleName", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.MakeKeyGrbit.#StrLimit", MessageId = "Str", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.MakeKeyGrbit.#SubStrLimit", MessageId = "Str", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.OpenTableGrbit.#Preread", MessageId = "Preread", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Server2003.Server2003Api.#JetOSSnapshotAbort(Microsoft.Isam.Esent.Interop.JET_OSSNAPID,Microsoft.Isam.Esent.Interop.Server2003.SnapshotAbortGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Server2003.Server2003Api.#JetOSSnapshotAbort(Microsoft.Isam.Esent.Interop.JET_OSSNAPID,Microsoft.Isam.Esent.Interop.Server2003.SnapshotAbortGrbit)", MessageId = "snapid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Server2003.Server2003Api.#JetUpdate2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.Server2003.UpdateGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Server2003.Server2003Api.#JetUpdate2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.Server2003.UpdateGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Server2003.Server2003Api.#JetUpdate2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[],System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.Server2003.UpdateGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Session.#JetSesid", MessageId = "Sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.SetColumnGrbit.#UniqueMultiValues", MessageId = "Multi", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.SetColumnGrbit.#UniqueNormalizedMultiValues", MessageId = "Multi", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Table.#.ctor(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,Microsoft.Isam.Esent.Interop.OpenTableGrbit)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Table.#.ctor(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,Microsoft.Isam.Esent.Interop.OpenTableGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Table.#.ctor(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,Microsoft.Isam.Esent.Interop.OpenTableGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Table.#JetTableid", MessageId = "Tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Transaction.#.ctor(Microsoft.Isam.Esent.Interop.JET_SESID)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Transaction.#Commit(Microsoft.Isam.Esent.Interop.CommitTransactionGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Update.#.ctor(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_prep)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Update.#.ctor(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_prep)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Update.#SaveAndGotoBookmark()", MessageId = "Goto", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE.#cbKeyMost", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE.#cbVarSegMac", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE.#cbVarSegMac", MessageId = "Seg", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE.#ccolumn", MessageId = "ccolumn", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE.#pidxunicode", MessageId = "pidxunicode", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE.#prgcolumndef", MessageId = "prgcolumndef", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE.#prgcolumnid", MessageId = "prgcolumnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE.#tableid", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#op_Equality(Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE,Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#cbOverhead", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#cbLongValueData", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#cbData", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#cbLongValueDataCompressed", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#op_Inequality(Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE,Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#cbDataCompressed", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#cMultiValues", MessageId = "Multi", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#cbLongValueOverhead", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#Subtract(Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE,Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE)", MessageId = "s", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#Add(Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE,Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE)", MessageId = "s", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS.#Add(Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS,Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS)", MessageId = "t", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS.#cbLogRecord", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS.#cPagePreread", MessageId = "Preread", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS.#cPageRedirtied", MessageId = "Redirtied", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS.#Create(System.Int32,System.Int32,System.Int32,System.Int32,System.Int32,System.Int32,System.Int32)", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS.#Create(System.Int32,System.Int32,System.Int32,System.Int32,System.Int32,System.Int32,System.Int32)", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS.#Create(System.Int32,System.Int32,System.Int32,System.Int32,System.Int32,System.Int32,System.Int32)", MessageId = "Preread", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS.#Create(System.Int32,System.Int32,System.Int32,System.Int32,System.Int32,System.Int32,System.Int32)", MessageId = "Redirtied", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS.#op_Addition(Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS,Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS)", MessageId = "t", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS.#op_Equality(Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS,Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS.#op_Inequality(Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS,Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS.#op_Subtraction(Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS,Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS)", MessageId = "t", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS.#Subtract(Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS,Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS)", MessageId = "t", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.VistaApi.#JetGetRecordSize(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE&,Microsoft.Isam.Esent.Interop.GetRecordSizeGrbit)", MessageId = "recsize", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.VistaApi.#JetGetRecordSize(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE&,Microsoft.Isam.Esent.Interop.GetRecordSizeGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.VistaApi.#JetGetRecordSize(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE&,Microsoft.Isam.Esent.Interop.GetRecordSizeGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.VistaApi.#JetGetRecordSize(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE&,Microsoft.Isam.Esent.Interop.GetRecordSizeGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.VistaApi.#JetGetThreadStats(Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS&)", MessageId = "threadstats", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.VistaApi.#JetInit3(Microsoft.Isam.Esent.Interop.JET_INSTANCE&,Microsoft.Isam.Esent.Interop.JET_RSTINFO,Microsoft.Isam.Esent.Interop.InitGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.VistaApi.#JetOpenTemporaryTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.VistaApi.#JetOpenTemporaryTable(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE)", MessageId = "temporarytable", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.VistaApi.#JetOSSnapshotEnd(Microsoft.Isam.Esent.Interop.JET_OSSNAPID,Microsoft.Isam.Esent.Interop.Vista.SnapshotEndGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.VistaApi.#JetOSSnapshotGetFreezeInfo(Microsoft.Isam.Esent.Interop.JET_OSSNAPID,System.Int32&,Microsoft.Isam.Esent.Interop.JET_INSTANCE_INFO[]&,Microsoft.Isam.Esent.Interop.Vista.SnapshotGetFreezeInfoGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.VistaApi.#JetOSSnapshotGetFreezeInfo(Microsoft.Isam.Esent.Interop.JET_OSSNAPID,System.Int32&,Microsoft.Isam.Esent.Interop.JET_INSTANCE_INFO[]&,Microsoft.Isam.Esent.Interop.Vista.SnapshotGetFreezeInfoGrbit)", MessageId = "num", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.VistaApi.#JetOSSnapshotPrepareInstance(Microsoft.Isam.Esent.Interop.JET_OSSNAPID,Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.Vista.SnapshotPrepareInstanceGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.VistaApi.#JetOSSnapshotTruncateLog(Microsoft.Isam.Esent.Interop.JET_OSSNAPID,Microsoft.Isam.Esent.Interop.Vista.SnapshotTruncateLogGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.VistaApi.#JetOSSnapshotTruncateLogInstance(Microsoft.Isam.Esent.Interop.JET_OSSNAPID,Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.Vista.SnapshotTruncateLogGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows7.Windows7Api.#JetConfigureProcessForCrashDump(Microsoft.Isam.Esent.Interop.Windows7.CrashDumpGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows7.Windows7Api.#JetPrereadKeys(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[][],System.Int32[],System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.Windows7.PrereadKeysGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows7.Windows7Api.#JetPrereadKeys(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[][],System.Int32[],System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.Windows7.PrereadKeysGrbit)", MessageId = "Preread", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows7.Windows7Api.#JetPrereadKeys(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[][],System.Int32[],System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.Windows7.PrereadKeysGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows7.Windows7Api.#JetPrereadKeys(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[][],System.Int32[],System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.Windows7.PrereadKeysGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows7.Windows7Api.#JetPrereadKeys(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[][],System.Int32[],System.Int32,System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.Windows7.PrereadKeysGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows7.Windows7Api.#JetPrereadKeys(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[][],System.Int32[],System.Int32,System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.Windows7.PrereadKeysGrbit)", MessageId = "Preread", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows7.Windows7Api.#JetPrereadKeys(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[][],System.Int32[],System.Int32,System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.Windows7.PrereadKeysGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows7.Windows7Api.#JetPrereadKeys(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[][],System.Int32[],System.Int32,System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.Windows7.PrereadKeysGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows7.Windows7Grbits.#IntrinsicLVsOnly", MessageId = "LVs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "namespace", Target = "Microsoft.Isam.Esent", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "namespace", Target = "Microsoft.Isam.Esent", MessageId = "Isam", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "namespace", Target = "Microsoft.Isam.Esent.Interop", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "namespace", Target = "Microsoft.Isam.Esent.Interop", MessageId = "Isam", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "namespace", Target = "Microsoft.Isam.Esent.Interop.Server2003", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "namespace", Target = "Microsoft.Isam.Esent.Interop.Server2003", MessageId = "Isam", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "namespace", Target = "Microsoft.Isam.Esent.Interop.Vista", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "namespace", Target = "Microsoft.Isam.Esent.Interop.Vista", MessageId = "Isam", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "namespace", Target = "Microsoft.Isam.Esent.Interop.Windows7", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "namespace", Target = "Microsoft.Isam.Esent.Interop.Windows7", MessageId = "Isam", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.EsentException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.AttachDatabaseGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.BackupGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.BeginExternalBackupGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.BeginTransactionGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.CloseDatabaseGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.ColumndefGrbit", MessageId = "Columndef", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.ColumndefGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.CommitTransactionGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.CompactGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.ConditionalColumnGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.CreateDatabaseGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.CreateIndexGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.CreateInstanceGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.CreateTableColumnIndexGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.DefragGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.DeleteColumnGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.DetachDatabaseGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.DupCursorGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EndExternalBackupGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EndSessionGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EnumerateColumnsGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EscrowUpdateGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentAccessDeniedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentAfterInitializationException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentAlreadyInitializedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentAlreadyPreparedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentApiException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentAttachedDatabaseMismatchException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBackupAbortByServerException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBackupDirectoryNotEmptyException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBackupInProgressException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBackupNotAllowedYetException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadBackupDatabaseSizeException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadBookmarkException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadCheckpointSignatureException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadColumnIdException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadDbSignatureException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadItagSequenceException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadItagSequenceException", MessageId = "Itag", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadLogSignatureException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadLogVersionException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadPageLinkException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadParentPageLinkException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadPatchPageException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadRestoreTargetInstanceException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadSLVSignatureException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBufferTooSmallException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCallbackFailedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCallbackNotResolvedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCannotAddFixedVarColumnToDerivedTableException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCannotBeTaggedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCannotDeleteSystemTableException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCannotDeleteTemplateTableException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCannotDeleteTempTableException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCannotDisableVersioningException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCannotIndexException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCannotLogDuringRecoveryRedoException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCannotMaterializeForwardOnlySortException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCannotNestDDLException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCannotNestDistributedTransactionsException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCannotSeparateIntrinsicLVException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCatalogCorruptedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCheckpointCorruptException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCheckpointDepthTooDeepException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCheckpointFileNotFoundException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentClientRequestToStopJetServiceException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentColumnCannotBeCompressedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentColumnDoesNotFitException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentColumnDuplicateException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentColumnIndexedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentColumnInRelationshipException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentColumnInUseException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentColumnLongException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentColumnNoChunkException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentColumnNotFoundException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentColumnNotUpdatableException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentColumnRedundantException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentColumnTooBigException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCommittedLogFileCorruptException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCommittedLogFilesMissingException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentConsistentTimeMismatchException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentContainerNotEmptyException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCorruptionException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCurrencyStackOutOfMemoryException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabase200FormatException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabase400FormatException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabase500FormatException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseAlreadyRunningMaintenanceException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseAlreadyUpgradedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseBufferDependenciesCorruptedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseCorruptedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseCorruptedNoRepairException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseDirtyShutdownException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseDuplicateException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseFailedIncrementalReseedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseFileReadOnlyException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseIdInUseException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseIncompleteIncrementalReseedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseIncompleteUpgradeException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseInUseException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseInvalidIncrementalReseedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseInvalidNameException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseInvalidPagesException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseInvalidPathException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseLeakInSpaceException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseLockedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseLogSetMismatchException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseNotFoundException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabasePatchFileMismatchException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseSharingViolationException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseSignInUseException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabasesNotFromSameSnapshotException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseStreamingFileMismatchException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseUnavailableException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDataException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDataHasChangedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDbTimeCorruptedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDbTimeTooNewException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDbTimeTooOldException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDDLNotInheritableException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDecompressionFailedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDefaultValueTooBigException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDeleteBackupFileFailException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDensityInvalidException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDerivedColumnCorruptionException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDirtyShutdownException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDisabledFunctionalityException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDiskException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDiskFullException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDiskIOException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDiskReadVerificationFailureException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDistributedTransactionAlreadyPreparedToCommitException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDistributedTransactionNotYetPreparedToCommitException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDTCCallbackUnexpectedErrorException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDTCMissingCallbackException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDTCMissingCallbackOnRecoveryException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentEndingRestoreLogTooLowException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentEntryPointNotFoundException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentErrorException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentExclusiveTableLockRequiredException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentExistingLogFileHasBadSignatureException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentExistingLogFileIsNotContiguousException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFatalException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFeatureNotAvailableException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFileAccessDeniedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFileCloseException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFileCompressedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFileInvalidTypeException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFileIOAbortException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFileIOBeyondEOFException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFileIOFailException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFileIORetryException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFileIOSparseException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFileNotFoundException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFileSystemCorruptionException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFilteredMoveNotSupportedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFixedDDLException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFixedInheritedDDLException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentForceDetachNotAllowedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFragmentationException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentGivenLogFileHasBadSignatureException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentGivenLogFileIsNotContiguousException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIllegalOperationException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInconsistentException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexBuildCorruptedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexCantBuildException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexDuplicateException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexHasPrimaryException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexInUseException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexInvalidDefException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexMustStayException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexNotFoundException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexTuplesCannotRetrieveFromIndexException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexTuplesInvalidLimitsException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexTuplesKeyTooSmallException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexTuplesNonUniqueOnlyException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexTuplesSecondaryIndexOnlyException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexTuplesTextBinaryColumnsOnlyException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexTuplesTooManyColumnsException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexTuplesVarSegMacNotAllowedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexTuplesVarSegMacNotAllowedException", MessageId = "Seg", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInitInProgressException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInstanceNameInUseException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInstanceUnavailableDueToFatalLogDiskFullException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInstanceUnavailableException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInternalErrorException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInTransactionException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidBackupException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidBackupSequenceException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidBookmarkException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidBufferSizeException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidCodePageException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidColumnException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidColumnTypeException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidCountryException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidCreateDbVersionException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidCreateIndexException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidDatabaseException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidDatabaseIdException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidDatabaseVersionException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidFilenameException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidGrbitException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidGrbitException", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidIndexIdException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidInstanceException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidLanguageIdException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidLCMapStringFlagsException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidLogDataSequenceException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidLogDirectoryException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidLoggedOperationException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidLogSequenceException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidNameException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidObjectException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidOnSortException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidOperationException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidParameterException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidPathException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidPlaceholderColumnException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidSesidException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidSesidException", MessageId = "Sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidSettingsException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidSystemPathException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidTableIdException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIOException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentKeyBoundaryException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentKeyDuplicateException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentKeyIsMadeException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentKeyNotMadeException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentKeyTooBigException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentKeyTruncatedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLanguageNotSupportedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLinkNotSupportedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogBufferTooSmallException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogCorruptDuringHardRecoveryException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogCorruptDuringHardRestoreException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogCorruptedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogDisabledDueToRecoveryFailureException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogDiskFullException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogFileCorruptException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogFileNotCopiedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogFilePathInUseException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogFileSizeMismatchDatabasesConsistentException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogFileSizeMismatchException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogGenerationMismatchException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLoggingDisabledException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogReadVerifyFailureException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogSectorSizeMismatchDatabasesConsistentException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogSectorSizeMismatchException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogSequenceEndDatabasesConsistentException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogSequenceEndException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogTornWriteDuringHardRecoveryException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogTornWriteDuringHardRestoreException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogWriteFailException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLSAlreadySetException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLSCallbackNotSpecifiedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLSNotSetException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLVCorruptedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMakeBackupDirectoryFailException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMemoryException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMishandlingException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMissingCurrentLogFilesException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMissingFileToBackupException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMissingFullBackupException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMissingLogFileException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMissingPatchPageException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMissingPreviousLogFileException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMissingRestoreLogFilesException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMultiValuedColumnMustBeTaggedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMultiValuedColumnMustBeTaggedException", MessageId = "Multi", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMultiValuedDuplicateAfterTruncationException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMultiValuedDuplicateAfterTruncationException", MessageId = "Multi", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMultiValuedDuplicateException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMultiValuedDuplicateException", MessageId = "Multi", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMultiValuedIndexViolationException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMultiValuedIndexViolationException", MessageId = "Multi", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMustCommitDistributedTransactionToLevel0Exception", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMustDisableLoggingForDbUpgradeException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMustRollbackException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentNoAttachmentsFailedIncrementalReseedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentNoBackupDirectoryException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentNoBackupException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentNoCurrentIndexException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentNoCurrentRecordException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentNotInDistributedTransactionException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentNotInitializedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentNotInTransactionException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentNTSystemCallFailedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentNullInvalidException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentNullKeyDisallowedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentObjectDuplicateException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentObjectNotFoundException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentObsoleteException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOneDatabasePerSessionException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOperationException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOSSnapshotInvalidSequenceException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOSSnapshotInvalidSnapIdException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOSSnapshotNotAllowedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOSSnapshotTimeOutException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfAutoincrementValuesException", MessageId = "Autoincrement", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfAutoincrementValuesException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfBuffersException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfCursorsException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfDatabaseSpaceException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfDbtimeValuesException", MessageId = "Dbtime", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfDbtimeValuesException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfFileHandlesException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfLongValueIDsException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfMemoryException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfObjectIDsException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfSequentialIndexValuesException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfSessionsException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfThreadsException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentPageBoundaryException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentPageNotInitializedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentPageSizeMismatchException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentPartiallyAttachedDBException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentPatchFileMissingException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentPermissionDeniedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentPreviousVersionException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentPrimaryIndexCorruptedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentQueryNotSupportedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentQuotaException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentReadLostFlushVerifyFailureException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentReadPgnoVerifyFailureException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentReadPgnoVerifyFailureException", MessageId = "Pgno", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentReadVerifyFailureException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRecordDeletedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRecordFormatConversionFailedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRecordNoCopyException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRecordNotDeletedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRecordNotFoundException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRecordPrimaryChangedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRecordTooBigException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRecordTooBigForBackwardCompatibilityException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRecoveredWithErrorsException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRecoveredWithoutUndoDatabasesConsistentException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRecoveredWithoutUndoException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRecoveryVerifyFailureException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRedoAbruptEndedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRequiredLogFilesMissingException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentResource", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentResourceException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRestoreInProgressException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRestoreOfNonBackupDatabaseException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRfsFailureException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRfsFailureException", MessageId = "Rfs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRfsNotArmedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRfsNotArmedException", MessageId = "Rfs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRollbackErrorException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRollbackRequiredException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRunningInMultiInstanceModeException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRunningInMultiInstanceModeException", MessageId = "Multi", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRunningInOneInstanceModeException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSecondaryIndexCorruptedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSectorSizeNotSupportedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSeparatedLongValueException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSesidTableIdMismatchException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSesidTableIdMismatchException", MessageId = "Sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSessionContextAlreadySetException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSessionContextNotSetByThisThreadException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSessionInUseException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSessionSharingViolationException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSessionWriteConflictException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVBufferTooSmallException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVColumnCannotDeleteException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVColumnDefaultValueNotAllowedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVCorruptedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVDatabaseMissingException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVEAListCorruptException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVEAListTooBigException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVEAListZeroAllocationException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVFileAccessDeniedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVFileInUseException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVFileInvalidPathException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVFileIOException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVFileNotFoundException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVFileStaleException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVFileUnknownException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVHeaderBadChecksumException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVHeaderCorruptedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVInvalidPathException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVOwnerMapAlreadyExistsException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVOwnerMapCorruptedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVOwnerMapPageNotFoundException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVPagesNotCommittedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVPagesNotDeletedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVPagesNotFreeException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVPagesNotReservedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVProviderNotLoadedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVProviderVersionMismatchException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVReadVerifyFailureException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVRootNotSpecifiedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVRootPathInvalidException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVRootStillOpenException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVSpaceCorruptedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVSpaceWriteConflictException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVStreamingFileAlreadyExistsException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVStreamingFileFullException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVStreamingFileInUseException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVStreamingFileMissingException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVStreamingFileNotCreatedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVStreamingFileReadOnlyException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSoftRecoveryOnBackupDatabaseException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSoftRecoveryOnSnapshotException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSpaceHintsInvalidException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSPAvailExtCacheOutOfMemoryException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSPAvailExtCacheOutOfSyncException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSPAvailExtCorruptedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSPOwnExtCorruptedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSQLLinkNotSupportedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentStartingRestoreLogTooHighException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentStateException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentStopwatch", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentStreamingDataNotLoggedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSurrogateBackupInProgressException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSystemParamsAlreadySetException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSystemParamsAlreadySetException", MessageId = "Params", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSystemPathInUseException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTableDuplicateException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTableInUseException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTableLockedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTableNotEmptyException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTaggedNotNULLException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTaskDroppedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTempFileOpenErrorException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTempPathInUseException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTermInProgressException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTestInjectionNotSupportedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyActiveUsersException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyAttachedDatabasesException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyColumnsException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyIndexesException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyInstancesException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyIOException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyKeysException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyMempoolEntriesException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyMempoolEntriesException", MessageId = "Mempool", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyOpenDatabasesException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyOpenIndexesException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyOpenTablesAndCleanupTimedOutException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyOpenTablesException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManySortsException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManySplitsException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyTestInjectionsException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTransReadOnlyException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTransTooDeepException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentUnicodeLanguageValidationFailureException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentUnicodeNormalizationNotSupportedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentUnicodeTranslationBufferTooSmallException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentUnicodeTranslationFailException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentUpdateMustVersionException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentUpdateNotPreparedException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentUsageException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentVersion", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentVersionStoreEntryTooBigException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentVersionStoreOutOfMemoryAndCleanupTimedOutException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentVersionStoreOutOfMemoryException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentWriteConflictException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentWriteConflictPrimaryIndexException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentUnloadableOSFunctionalityException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.GetLockGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.GetRecordSizeGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.GetSecondaryIndexBookmarkGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.GotoSecondaryIndexBookmarkGrbit", MessageId = "Goto", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.GotoSecondaryIndexBookmarkGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.IContentEquatable`1", MessageId = "Equatable", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.IdleGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.IndexKeyGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.IndexRangeGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.InitGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.IntersectIndexesGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_CALLBACK", MessageId = "cbtyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_CALLBACK", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_CALLBACK", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_CALLBACK", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_cbtyp", MessageId = "cbtyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_coltyp", MessageId = "coltyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_dbstate", MessageId = "dbstate", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_filetype", MessageId = "filetype", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_IdxInfo", MessageId = "Idx", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_objtyp", MessageId = "objtyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_param", MessageId = "param", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_PFNSTATUS", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_PFNSTATUS", MessageId = "snp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_PFNSTATUS", MessageId = "snt", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_TblInfo", MessageId = "Tbl", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.LsGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.MakeKeyGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.MoveGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.ObjectInfoGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.OpenDatabaseGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.OpenTableGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.RenameColumnGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.ResetTableSequentialGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.RetrieveKeyGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.RollbackTransactionGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.SeekGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Server2003.Server2003Grbits", MessageId = "Grbits", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Server2003.Server2003Param", MessageId = "Param", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Server2003.SnapshotAbortGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Server2003.UpdateGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.SetColumnDefaultValueGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.SetColumnGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.SetCurrentIndexGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.SetIndexRangeGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.SetTableSequentialGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.SnapshotFreezeGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.SnapshotPrepareGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.SnapshotThawGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.SpaceHintsGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.TempTableGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.TermGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Vista.SnapshotEndGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Vista.SnapshotGetFreezeInfoGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Vista.SnapshotPrepareInstanceGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Vista.SnapshotTruncateLogGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Vista.VistaColtyp", MessageId = "Coltyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Vista.VistaGrbits", MessageId = "Grbits", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Vista.VistaParam", MessageId = "Param", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows7.CrashDumpGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows7.PrereadKeysGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows7.PrereadKeysGrbit", MessageId = "Preread", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows7.Windows7Grbits", MessageId = "Grbits", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows7.Windows7Param", MessageId = "Param", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidPrereadException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMustBeSeparateLongValueException", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidPrereadException", MessageId = "Preread", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows7.Windows7IdxInfo", MessageId = "Idx", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.StopServiceGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8IdxInfo", MessageId = "Idx", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#InvalidPreread", MessageId = "Preread", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetSystemParameter(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_param,System.IntPtr&,System.String&,System.Int32)", MessageId = "Param", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetSystemParameter(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_param,System.IntPtr&,System.String&,System.Int32)", MessageId = "param", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetSystemParameter(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_param,System.IntPtr&,System.String&,System.Int32)", MessageId = "paramid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetGetSystemParameter(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_param,System.IntPtr&,System.String&,System.Int32)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetSystemParameter(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_param,System.IntPtr,System.String)", MessageId = "param", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetSystemParameter(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_param,System.IntPtr,System.String)", MessageId = "paramid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetSystemParameter(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_param,System.IntPtr,System.String)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.InstanceParameters.#PrereadIOMax", MessageId = "Preread", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Transaction.#Commit(Microsoft.Isam.Esent.Interop.CommitTransactionGrbit,System.TimeSpan,Microsoft.Isam.Esent.Interop.Windows8.JET_COMMIT_ID&)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_COMMIT_ID.#op_Equality(Microsoft.Isam.Esent.Interop.Windows8.JET_COMMIT_ID,Microsoft.Isam.Esent.Interop.Windows8.JET_COMMIT_ID)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_COMMIT_ID.#op_GreaterThan(Microsoft.Isam.Esent.Interop.Windows8.JET_COMMIT_ID,Microsoft.Isam.Esent.Interop.Windows8.JET_COMMIT_ID)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_COMMIT_ID.#op_GreaterThanOrEqual(Microsoft.Isam.Esent.Interop.Windows8.JET_COMMIT_ID,Microsoft.Isam.Esent.Interop.Windows8.JET_COMMIT_ID)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_COMMIT_ID.#op_Inequality(Microsoft.Isam.Esent.Interop.Windows8.JET_COMMIT_ID,Microsoft.Isam.Esent.Interop.Windows8.JET_COMMIT_ID)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_COMMIT_ID.#op_LessThan(Microsoft.Isam.Esent.Interop.Windows8.JET_COMMIT_ID,Microsoft.Isam.Esent.Interop.Windows8.JET_COMMIT_ID)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_COMMIT_ID.#op_LessThanOrEqual(Microsoft.Isam.Esent.Interop.Windows8.JET_COMMIT_ID,Microsoft.Isam.Esent.Interop.Windows8.JET_COMMIT_ID)", MessageId = "rhs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_ERRINFOBASIC.#errcat", MessageId = "errcat", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_ERRINFOBASIC.#rgCategoricalHierarchy", MessageId = "rg", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_ERRINFOBASIC.#rgszSourceFile", MessageId = "rgsz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_COLUMN.#columnid", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_COLUMN.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_COLUMN.#relop", MessageId = "relop", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.StopServiceGrbit.#QuiesceCaches", MessageId = "Quiesce", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetBeginTransaction3(Microsoft.Isam.Esent.Interop.JET_SESID,System.Int64,Microsoft.Isam.Esent.Interop.BeginTransactionGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetBeginTransaction3(Microsoft.Isam.Esent.Interop.JET_SESID,System.Int64,Microsoft.Isam.Esent.Interop.BeginTransactionGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetCommitTransaction2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.CommitTransactionGrbit,System.TimeSpan,Microsoft.Isam.Esent.Interop.Windows8.JET_COMMIT_ID&)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetCommitTransaction2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.CommitTransactionGrbit,System.TimeSpan,Microsoft.Isam.Esent.Interop.Windows8.JET_COMMIT_ID&)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetCreateIndex4(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_INDEXCREATE[],System.Int32)", MessageId = "indexcreates", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetCreateIndex4(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_INDEXCREATE[],System.Int32)", MessageId = "num", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetCreateIndex4(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_INDEXCREATE[],System.Int32)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetCreateIndex4(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.JET_INDEXCREATE[],System.Int32)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetCreateTableColumnIndex4(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,Microsoft.Isam.Esent.Interop.JET_TABLECREATE)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetCreateTableColumnIndex4(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,Microsoft.Isam.Esent.Interop.JET_TABLECREATE)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetCreateTableColumnIndex4(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,Microsoft.Isam.Esent.Interop.JET_TABLECREATE)", MessageId = "tablecreate", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetGetErrorInfo(Microsoft.Isam.Esent.Interop.JET_err,Microsoft.Isam.Esent.Interop.Windows8.JET_ERRINFOBASIC&)", MessageId = "errinfo", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetOpenTemporaryTable2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetOpenTemporaryTable2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE)", MessageId = "temporarytable", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetPrereadIndexRanges(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_RANGE[],System.Int32,System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[],Microsoft.Isam.Esent.Interop.Windows8.PrereadIndexRangesGrbit)", MessageId = "Preread", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetPrereadIndexRanges(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_RANGE[],System.Int32,System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[],Microsoft.Isam.Esent.Interop.Windows8.PrereadIndexRangesGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetPrereadIndexRanges(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_RANGE[],System.Int32,System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[],Microsoft.Isam.Esent.Interop.Windows8.PrereadIndexRangesGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetPrereadIndexRanges(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_RANGE[],System.Int32,System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[],Microsoft.Isam.Esent.Interop.Windows8.PrereadIndexRangesGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetResizeDatabase(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.Windows8.ResizeDatabaseGrbit)", MessageId = "dbid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetResizeDatabase(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.Windows8.ResizeDatabaseGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetResizeDatabase(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.Windows8.ResizeDatabaseGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetSetCursorFilter(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_COLUMN[],Microsoft.Isam.Esent.Interop.Windows8.CursorFilterGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetSetCursorFilter(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_COLUMN[],Microsoft.Isam.Esent.Interop.Windows8.CursorFilterGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetSetCursorFilter(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_COLUMN[],Microsoft.Isam.Esent.Interop.Windows8.CursorFilterGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetSetSessionParameter(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.Windows8.JET_sesparam,System.Byte[],System.Int32)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetSetSessionParameter(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.Windows8.JET_sesparam,System.Byte[],System.Int32)", MessageId = "sesparamid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetTryPrereadIndexRanges(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_RANGE[],System.Int32,System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[],Microsoft.Isam.Esent.Interop.Windows8.PrereadIndexRangesGrbit)", MessageId = "Preread", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetTryPrereadIndexRanges(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_RANGE[],System.Int32,System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[],Microsoft.Isam.Esent.Interop.Windows8.PrereadIndexRangesGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetTryPrereadIndexRanges(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_RANGE[],System.Int32,System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[],Microsoft.Isam.Esent.Interop.Windows8.PrereadIndexRangesGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetTryPrereadIndexRanges(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_RANGE[],System.Int32,System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[],Microsoft.Isam.Esent.Interop.Windows8.PrereadIndexRangesGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#PrereadKeyRanges(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[][],System.Int32[],System.Byte[][],System.Int32[],System.Int32,System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[],Microsoft.Isam.Esent.Interop.Windows8.PrereadIndexRangesGrbit)", MessageId = "Preread", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#PrereadKeyRanges(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[][],System.Int32[],System.Byte[][],System.Int32[],System.Int32,System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[],Microsoft.Isam.Esent.Interop.Windows8.PrereadIndexRangesGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#PrereadKeyRanges(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[][],System.Int32[],System.Byte[][],System.Int32[],System.Int32,System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[],Microsoft.Isam.Esent.Interop.Windows8.PrereadIndexRangesGrbit)", MessageId = "sesid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#PrereadKeyRanges(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_TABLEID,System.Byte[][],System.Int32[],System.Byte[][],System.Int32[],System.Int32,System.Int32,System.Int32&,Microsoft.Isam.Esent.Interop.JET_COLUMNID[],Microsoft.Isam.Esent.Interop.Windows8.PrereadIndexRangesGrbit)", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Param.#PrereadIOMax", MessageId = "Preread", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Api.#JetStopServiceInstance2(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.Windows8.StopServiceGrbit)", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "namespace", Target = "Microsoft.Isam.Esent.Interop.Windows8", MessageId = "Esent", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "namespace", Target = "Microsoft.Isam.Esent.Interop.Windows8", MessageId = "Isam", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.CursorFilterGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.DurableCommitCallbackGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.ErrorInfoGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_PFNDURABLECOMMITCALLBACK", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_PFNDURABLECOMMITCALLBACK", MessageId = "p", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_sesparam", MessageId = "sesparam", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JetIndexColumnGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JetRelop", MessageId = "Relop", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.PrereadIndexRangesGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.PrereadIndexRangesGrbit", MessageId = "Preread", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.ResizeDatabaseGrbit", MessageId = "Grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Grbits", MessageId = "Grbits", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Param", MessageId = "Param", Justification = "Stylebot Generated FxCop Exclusion.")]
#endregion

[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.IJET_LOGTIME", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_BKINFO", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_BKLOGTIME", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_CALLBACK", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_cbtyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_coltyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNBASE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNCREATE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNDEF", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNID", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNLIST", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_CONDITIONALCOLUMN", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_CP", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_DBID", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_DbInfo", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_dbstate", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMN", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNID", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNVALUE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_err", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_filetype", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_HANDLE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_IdxInfo", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXID", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXRANGE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_INSTANCE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_INSTANCE_INFO", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_LGPOS", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_LOGTIME", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_LS", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_Move", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTINFO", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTLIST", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_objtyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_OSSNAPID", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_param", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_PFNREALLOC", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_PFNSTATUS", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_prep", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_RECORDLIST", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_RECPOS", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_RETINFO", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_RSTINFO", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_RSTMAP", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_SESID", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_SETCOLUMN", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_SETINFO", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_SIGNATURE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_SNP", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_SNPROG", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_SNT", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_SPACEHINTS", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_TABLEID", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_TblInfo", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_UNICODEINDEX", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_wrn", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_InstanceMiscInfo", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_COMMIT_ID", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_ERRCAT", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_ERRINFOBASIC", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_ErrorInfo", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_COLUMN", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_RANGE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_PFNDURABLECOMMITCALLBACK", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1707:IdentifiersShouldNotContainUnderscores", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_sesparam", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.ColumndefGrbit.#ColumnNotNULL", MessageId = "NULL", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.ColumnInfo.#Cp", MessageId = "Cp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.CreateTableColumnIndexGrbit.#FixedDDL", MessageId = "DDL", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.IndexSegment.#IsASCII", MessageId = "ASCII", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.InstanceParameters.#DbExtensionSize", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_BKINFO.#bklogtimeMark", MessageId = "bklogtime", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_BKINFO.#genHigh", MessageId = "gen", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_BKINFO.#genLow", MessageId = "gen", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_BKINFO.#lgposMark", MessageId = "lgpos", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_coltyp.#IEEEDouble", MessageId = "IEEE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_coltyp.#IEEESingle", MessageId = "IEEE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNBASE.#cbMax", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNBASE.#coltyp", MessageId = "coltyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNBASE.#columnid", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNBASE.#cp", MessageId = "cp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNBASE.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNBASE.#szBaseColumnName", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNBASE.#szBaseTableName", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNCREATE.#cbDefault", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNCREATE.#cbMax", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNCREATE.#coltyp", MessageId = "coltyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNCREATE.#columnid", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNCREATE.#cp", MessageId = "cp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNCREATE.#err", MessageId = "err", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNCREATE.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNCREATE.#pvDefault", MessageId = "pv", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNCREATE.#szColumnName", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNDEF.#cbMax", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNDEF.#coltyp", MessageId = "coltyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNDEF.#columnid", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNDEF.#cp", MessageId = "cp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNDEF.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNLIST.#columnidcbMax", MessageId = "columnidcb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNLIST.#columnidcoltyp", MessageId = "columnidcoltyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNLIST.#columnidcolumnid", MessageId = "columnidcolumnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNLIST.#columnidcolumnname", MessageId = "columnidcolumnname", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNLIST.#columnidCp", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNLIST.#columnidCp", MessageId = "Cp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNLIST.#columnidDefault", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNLIST.#columnidgrbit", MessageId = "columnidgrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNLIST.#cRecord", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNLIST.#tableid", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_CONDITIONALCOLUMN.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_CONDITIONALCOLUMN.#szColumnName", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_CP.#ASCII", MessageId = "ASCII", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DbInfo.#LCID", MessageId = "LCID", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#bkinfoCopyPrev", MessageId = "bkinfo", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#bkinfoDiffPrev", MessageId = "bkinfo", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#bkinfoFullCur", MessageId = "bkinfo", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#bkinfoFullPrev", MessageId = "bkinfo", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#bkinfoIncPrev", MessageId = "bkinfo", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#cbPageSize", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#dbstate", MessageId = "dbstate", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#dwBuildNumber", MessageId = "dw", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#dwMajorVersion", MessageId = "dw", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#dwMinorVersion", MessageId = "dw", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#fShadowingDisabled", MessageId = "f", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#fUpgradeDb", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#fUpgradeDb", MessageId = "f", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#genCommitted", MessageId = "gen", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#genMaxRequired", MessageId = "gen", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#genMinRequired", MessageId = "gen", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#lgposAttach", MessageId = "lgpos", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#lgposConsistent", MessageId = "lgpos", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#lgposDetach", MessageId = "lgpos", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#logtimeAttach", MessageId = "logtime", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#logtimeBadChecksum", MessageId = "logtime", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#logtimeConsistent", MessageId = "logtime", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#logtimeDetach", MessageId = "logtime", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#logtimeECCFixFail", MessageId = "ECC", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#logtimeECCFixFail", MessageId = "logtime", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#logtimeECCFixSuccess", MessageId = "ECC", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#logtimeECCFixSuccess", MessageId = "logtime", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#logtimeGenMaxCreate", MessageId = "logtime", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#logtimeRepair", MessageId = "logtime", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#lSPNumber", MessageId = "l", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#signDb", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#signDb", MessageId = "sign", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#signLog", MessageId = "sign", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#ulBadChecksum", MessageId = "ul", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#ulBadChecksumOld", MessageId = "ul", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#ulECCFixFail", MessageId = "ECC", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#ulECCFixFail", MessageId = "ul", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#ulECCFixFailOld", MessageId = "ECC", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#ulECCFixFailOld", MessageId = "ul", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#ulECCFixSuccess", MessageId = "ECC", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#ulECCFixSuccess", MessageId = "ul", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#ulECCFixSuccessOld", MessageId = "ECC", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#ulECCFixSuccessOld", MessageId = "ul", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#ulRepairCount", MessageId = "ul", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#ulRepairCountOld", MessageId = "ul", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#ulUpdate", MessageId = "ul", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC.#ulVersion", MessageId = "ul", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMN.#cbData", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMN.#cEnumColumnValue", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMN.#columnid", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMN.#err", MessageId = "err", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMN.#pvData", MessageId = "pv", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMN.#rgEnumColumnValue", MessageId = "rg", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNID.#columnid", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNID.#ctagSequence", MessageId = "ctag", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNID.#rgtagSequence", MessageId = "rgtag", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNVALUE.#cbData", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNVALUE.#err", MessageId = "err", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNVALUE.#itagSequence", MessageId = "itag", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNVALUE.#pvData", MessageId = "pv", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#BadDbSignature", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#BadSLVSignature", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#CannotNestDDL", MessageId = "DDL", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#DbTimeCorrupted", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#DbTimeTooNew", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#DbTimeTooOld", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#DDLNotInheritable", MessageId = "DDL", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#DTCCallbackUnexpectedError", MessageId = "DTC", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#DTCMissingCallback", MessageId = "DTC", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#DTCMissingCallbackOnRecovery", MessageId = "DTC", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#FileIOBeyondEOF", MessageId = "EOF", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#FixedDDL", MessageId = "DDL", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#FixedInheritedDDL", MessageId = "DDL", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#InvalidCreateDbVersion", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#MustDisableLoggingForDbUpgrade", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#OutOfLongValueIDs", MessageId = "IDs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#OutOfObjectIDs", MessageId = "IDs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVBufferTooSmall", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVColumnCannotDelete", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVColumnDefaultValueNotAllowed", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVCorrupted", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVDatabaseMissing", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVEAListCorrupt", MessageId = "SLVEA", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVEAListTooBig", MessageId = "SLVEA", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVEAListZeroAllocation", MessageId = "SLVEA", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVFileAccessDenied", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVFileInUse", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVFileInvalidPath", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVFileIO", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVFileNotFound", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVFileStale", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVFileUnknown", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVHeaderBadChecksum", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVHeaderCorrupted", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVInvalidPath", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVOwnerMapAlreadyExists", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVOwnerMapCorrupted", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVOwnerMapPageNotFound", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVPagesNotCommitted", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVPagesNotDeleted", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVPagesNotFree", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVPagesNotReserved", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVProviderNotLoaded", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVProviderVersionMismatch", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVReadVerifyFailure", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVRootNotSpecified", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVRootPathInvalid", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVRootStillOpen", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVSpaceCorrupted", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVSpaceWriteConflict", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVStreamingFileAlreadyExists", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVStreamingFileFull", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVStreamingFileInUse", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVStreamingFileMissing", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVStreamingFileNotCreated", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SLVStreamingFileReadOnly", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#SQLLinkNotSupported", MessageId = "SQL", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_err.#TaggedNotNULL", MessageId = "NULL", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_IdxInfo.#LCID", MessageId = "LCID", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE.#cbKey", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE.#cbKeyMost", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE.#cbVarSegMac", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE.#cConditionalColumn", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE.#err", MessageId = "err", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE.#pidxUnicode", MessageId = "pidx", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE.#pSpaceHints", MessageId = "p", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE.#rgconditionalcolumn", MessageId = "rgconditionalcolumn", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE.#szIndexName", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE.#szKey", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE.#ulDensity", MessageId = "ul", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidcColumn", MessageId = "columnidc", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidcEntry", MessageId = "columnidc", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidcKey", MessageId = "columnidc", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidcoltyp", MessageId = "columnidcoltyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidcolumnid", MessageId = "columnidcolumnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidcolumnname", MessageId = "columnidcolumnname", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidCp", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidCp", MessageId = "Cp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidcPage", MessageId = "columnidc", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidgrbitColumn", MessageId = "columnidgrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidgrbitIndex", MessageId = "columnidgrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidiColumn", MessageId = "columnidi", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidindexname", MessageId = "columnidindexname", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidLangid", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#columnidLCMapFlags", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#cRecord", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST.#tableid", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXRANGE.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXRANGE.#tableid", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INSTANCE_INFO.#cDatabases", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INSTANCE_INFO.#hInstanceId", MessageId = "h", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INSTANCE_INFO.#szDatabaseFileName", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INSTANCE_INFO.#szInstanceName", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_LGPOS.#ib", MessageId = "ib", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_LGPOS.#isec", MessageId = "isec", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_LGPOS.#lGeneration", MessageId = "l", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTINFO.#cPage", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTINFO.#cRecord", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTINFO.#flags", MessageId = "flags", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTINFO.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTINFO.#objtyp", MessageId = "objtyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTLIST.#columnidcPage", MessageId = "columnidc", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTLIST.#columnidcRecord", MessageId = "columnidc", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTLIST.#columnidflags", MessageId = "columnidflags", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTLIST.#columnidgrbit", MessageId = "columnidgrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTLIST.#columnidobjectname", MessageId = "columnidobjectname", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTLIST.#columnidobjtyp", MessageId = "columnidobjtyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTLIST.#cRecord", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTLIST.#tableid", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_param.#DbExtensionSize", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECORDLIST.#columnidBookmark", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECORDLIST.#cRecords", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECORDLIST.#tableid", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECPOS.#centriesLT", MessageId = "centries", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECPOS.#centriesTotal", MessageId = "centries", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#cbData", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#cbDataCompressed", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#cbLongValueData", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#cbLongValueDataCompressed", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#cbLongValueOverhead", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#cbOverhead", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#cCompressedColumns", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#cLongValues", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#cMultiValues", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#cNonTaggedColumns", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#cTaggedColumns", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETINFO.#columnidNextTagged", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETINFO.#ibLongValue", MessageId = "ib", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETINFO.#itagSequence", MessageId = "itag", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN.#cbActual", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN.#cbData", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN.#columnid", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN.#columnidNextTagged", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN.#err", MessageId = "err", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN.#ibData", MessageId = "ib", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN.#ibLongValue", MessageId = "ib", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN.#itagSequence", MessageId = "itag", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN.#pvData", MessageId = "pv", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RSTINFO.#crstmap", MessageId = "crstmap", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RSTINFO.#lgposStop", MessageId = "lgpos", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RSTINFO.#logtimeStop", MessageId = "logtime", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RSTINFO.#pfnStatus", MessageId = "pfn", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RSTINFO.#rgrstmap", MessageId = "rgrstmap", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RSTMAP.#szDatabaseName", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RSTMAP.#szNewDatabaseName", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SETCOLUMN.#cbData", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SETCOLUMN.#columnid", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SETCOLUMN.#err", MessageId = "err", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SETCOLUMN.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SETCOLUMN.#ibData", MessageId = "ib", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SETCOLUMN.#ibLongValue", MessageId = "ib", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SETCOLUMN.#itagSequence", MessageId = "itag", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SETCOLUMN.#pvData", MessageId = "pv", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SETINFO.#ibLongValue", MessageId = "ib", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SETINFO.#itagSequence", MessageId = "itag", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SNPROG.#cunitDone", MessageId = "cunit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SNPROG.#cunitTotal", MessageId = "cunit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SPACEHINTS.#cbInitial", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SPACEHINTS.#cbMaxExtent", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SPACEHINTS.#cbMinExtent", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SPACEHINTS.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SPACEHINTS.#ulGrowth", MessageId = "ul", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SPACEHINTS.#ulInitialDensity", MessageId = "ul", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SPACEHINTS.#ulMaintDensity", MessageId = "ul", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#cbSeparateLV", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#cbtyp", MessageId = "cbtyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#cColumns", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#cCreated", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#cIndexes", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#pLVSpacehints", MessageId = "p", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#pSeqSpacehints", MessageId = "p", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#rgcolumncreate", MessageId = "rgcolumncreate", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#rgindexcreate", MessageId = "rgindexcreate", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#szCallback", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#szTableName", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#szTemplateTableName", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#tableid", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#ulDensity", MessageId = "ul", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#ulPages", MessageId = "ul", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_UNICODEINDEX.#dwMapFlags", MessageId = "dw", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_UNICODEINDEX.#lcid", MessageId = "lcid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_UNICODEINDEX.#szLocaleName", MessageId = "sz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_wrn.#DTCCommitTransaction", MessageId = "DTC", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_wrn.#DTCRollbackTransaction", MessageId = "DTC", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.ObjectInfoFlags.#TableFixedDDL", MessageId = "DDL", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.OpenTableGrbit.#PermitDDL", MessageId = "DDL", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE.#cbKeyMost", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE.#cbVarSegMac", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE.#ccolumn", MessageId = "ccolumn", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE.#pidxunicode", MessageId = "pidxunicode", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE.#prgcolumndef", MessageId = "prgcolumndef", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE.#prgcolumnid", MessageId = "prgcolumnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE.#tableid", MessageId = "tableid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#cbOverhead", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#cbLongValueData", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#cNonTaggedColumns", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#cbData", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#cLongValues", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#cbLongValueDataCompressed", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#cbDataCompressed", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#cTaggedColumns", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#cMultiValues", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#cbLongValueOverhead", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#cCompressedColumns", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS.#cbLogRecord", MessageId = "cb", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS.#cLogRecord", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS.#cPageDirtied", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS.#cPagePreread", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS.#cPageRead", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS.#cPageRedirtied", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS.#cPageReferenced", MessageId = "c", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.VistaColtyp.#GUID", MessageId = "GUID", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows7.Windows7Param.#DbScanIntervalMaxSec", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows7.Windows7Param.#DbScanIntervalMinSec", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows7.Windows7Param.#DbScanThrottle", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows7.Windows7Param.#EnableDbScanInRecovery", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows7.Windows7Grbits.#EnableCreateDbBackgroundMaintenance", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows7.Windows7Grbits.#EnableAttachDbBackgroundMaintenance", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.InstanceParameters.#DbScanIntervalMaxSec", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.InstanceParameters.#DbScanIntervalMinSec", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.InstanceParameters.#DbScanThrottle", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.InstanceParameters.#EnableDbScanInRecovery", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_ERRINFOBASIC.#errValue", MessageId = "err", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_ERRINFOBASIC.#errcat", MessageId = "errcat", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_ERRINFOBASIC.#lSourceLine", MessageId = "l", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_ERRINFOBASIC.#rgCategoricalHierarchy", MessageId = "rg", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_ERRINFOBASIC.#rgszSourceFile", MessageId = "rgsz", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_COLUMN.#columnid", MessageId = "columnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_COLUMN.#grbit", MessageId = "grbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_COLUMN.#pvData", MessageId = "pv", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_COLUMN.#relop", MessageId = "relop", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_RANGE.#endColumns", MessageId = "end", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_RANGE.#startColumns", MessageId = "start", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.Windows8Grbits.#KeepDbAttachedAtEndOfRecovery", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadDbSignatureException", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadSLVSignatureException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCannotNestDDLException", MessageId = "DDL", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDbTimeCorruptedException", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDbTimeTooNewException", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDbTimeTooOldException", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDDLNotInheritableException", MessageId = "DDL", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDTCCallbackUnexpectedErrorException", MessageId = "DTC", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDTCMissingCallbackException", MessageId = "DTC", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDTCMissingCallbackOnRecoveryException", MessageId = "DTC", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFileIOBeyondEOFException", MessageId = "EOF", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFixedDDLException", MessageId = "DDL", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFixedInheritedDDLException", MessageId = "DDL", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidCreateDbVersionException", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMustDisableLoggingForDbUpgradeException", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfLongValueIDsException", MessageId = "IDs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfObjectIDsException", MessageId = "IDs", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVBufferTooSmallException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVColumnCannotDeleteException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVColumnDefaultValueNotAllowedException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVCorruptedException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVDatabaseMissingException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVEAListCorruptException", MessageId = "SLVEA", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVEAListTooBigException", MessageId = "SLVEA", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVEAListZeroAllocationException", MessageId = "SLVEA", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVFileAccessDeniedException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVFileInUseException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVFileInvalidPathException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVFileIOException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVFileNotFoundException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVFileStaleException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVFileUnknownException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVHeaderBadChecksumException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVHeaderCorruptedException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVInvalidPathException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVOwnerMapAlreadyExistsException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVOwnerMapCorruptedException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVOwnerMapPageNotFoundException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVPagesNotCommittedException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVPagesNotDeletedException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVPagesNotFreeException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVPagesNotReservedException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVProviderNotLoadedException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVProviderVersionMismatchException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVReadVerifyFailureException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVRootNotSpecifiedException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVRootPathInvalidException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVRootStillOpenException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVSpaceCorruptedException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVSpaceWriteConflictException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVStreamingFileAlreadyExistsException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVStreamingFileFullException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVStreamingFileInUseException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVStreamingFileMissingException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVStreamingFileNotCreatedException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVStreamingFileReadOnlyException", MessageId = "SLV", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSQLLinkNotSupportedException", MessageId = "SQL", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTaggedNotNULLException", MessageId = "NULL", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.IJET_LOGTIME", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.IJET_LOGTIME", MessageId = "LOGTIME", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_BKINFO", MessageId = "BKINFO", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_BKINFO", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_BKLOGTIME", MessageId = "BKLOGTIME", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_BKLOGTIME", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_CALLBACK", MessageId = "CALLBACK", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_CALLBACK", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_cbtyp", MessageId = "cbtyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_cbtyp", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_coltyp", MessageId = "coltyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_coltyp", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNBASE", MessageId = "COLUMNBASE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNBASE", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNCREATE", MessageId = "COLUMNCREATE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNCREATE", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNDEF", MessageId = "COLUMNDEF", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNDEF", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNID", MessageId = "COLUMNID", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNID", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNLIST", MessageId = "COLUMNLIST", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNLIST", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_CONDITIONALCOLUMN", MessageId = "CONDITIONALCOLUMN", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_CONDITIONALCOLUMN", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_CP", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_DBID", MessageId = "DBID", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_DBID", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_DbInfo", MessageId = "Db", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_DbInfo", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC", MessageId = "DBINFOMISC", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_DBINFOMISC", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_dbstate", MessageId = "dbstate", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_dbstate", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMN", MessageId = "ENUMCOLUMN", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMN", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNID", MessageId = "ENUMCOLUMNID", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNID", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNVALUE", MessageId = "ENUMCOLUMNVALUE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNVALUE", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_err", MessageId = "err", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_err", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_filetype", MessageId = "filetype", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_filetype", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_HANDLE", MessageId = "HANDLE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_HANDLE", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_IdxInfo", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE", MessageId = "INDEXCREATE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXID", MessageId = "INDEXID", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXID", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST", MessageId = "INDEXLIST", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXLIST", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXRANGE", MessageId = "INDEXRANGE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXRANGE", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_INSTANCE", MessageId = "INSTANCE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_INSTANCE", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_INSTANCE_INFO", MessageId = "INFO", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_INSTANCE_INFO", MessageId = "INSTANCE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_INSTANCE_INFO", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_LGPOS", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_LGPOS", MessageId = "LGPOS", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_LOGTIME", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_LOGTIME", MessageId = "LOGTIME", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_LS", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_Move", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTINFO", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTINFO", MessageId = "OBJECTINFO", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTLIST", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_OBJECTLIST", MessageId = "OBJECTLIST", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_objtyp", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_objtyp", MessageId = "objtyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_OSSNAPID", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_OSSNAPID", MessageId = "OSSNAPID", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_param", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_param", MessageId = "param", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_PFNREALLOC", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_PFNREALLOC", MessageId = "PFNREALLOC", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_PFNSTATUS", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_PFNSTATUS", MessageId = "PFNSTATUS", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_prep", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_prep", MessageId = "prep", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_RECORDLIST", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_RECORDLIST", MessageId = "RECORDLIST", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_RECPOS", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_RECPOS", MessageId = "RECPOS", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE", MessageId = "RECSIZE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_RETINFO", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_RETINFO", MessageId = "RETINFO", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN", MessageId = "RETRIEVECOLUMN", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_RSTINFO", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_RSTINFO", MessageId = "RSTINFO", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_RSTMAP", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_RSTMAP", MessageId = "RSTMAP", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_SESID", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_SESID", MessageId = "SESID", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_SETCOLUMN", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_SETCOLUMN", MessageId = "SETCOLUMN", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_SETINFO", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_SETINFO", MessageId = "SETINFO", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_SIGNATURE", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_SIGNATURE", MessageId = "SIGNATURE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_SNP", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_SNP", MessageId = "SNP", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_SNPROG", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_SNPROG", MessageId = "SNPROG", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_SNT", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_SNT", MessageId = "SNT", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_SPACEHINTS", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_SPACEHINTS", MessageId = "SPACEHINTS", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE", MessageId = "TABLECREATE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_TABLEID", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_TABLEID", MessageId = "TABLEID", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_TblInfo", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_UNICODEINDEX", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_UNICODEINDEX", MessageId = "UNICODEINDEX", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_UNICODEINDEX", MessageId = "UNICODEINDEX", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_wrn", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_wrn", MessageId = "wrn", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.LsGrbit", MessageId = "Ls", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_InstanceMiscInfo", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE", MessageId = "OPENTEMPORARYTABLE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE", MessageId = "RECSIZE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_THREADSTATS", MessageId = "THREADSTATS", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_COMMIT_ID", MessageId = "COMMIT", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_COMMIT_ID", MessageId = "ID", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_COMMIT_ID", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_ERRCAT", MessageId = "ERRCAT", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_ERRCAT", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_ERRINFOBASIC", MessageId = "ERRINFOBASIC", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_ERRINFOBASIC", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_ErrorInfo", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_COLUMN", MessageId = "COLUMN", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_COLUMN", MessageId = "INDEX", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_COLUMN", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_RANGE", MessageId = "INDEX", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_RANGE", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_RANGE", MessageId = "RANGE", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_PFNDURABLECOMMITCALLBACK", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_PFNDURABLECOMMITCALLBACK", MessageId = "PFNDURABLECOMMITCALLBACK", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_sesparam", MessageId = "JET", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_sesparam", MessageId = "sesparam", Justification = "Stylebot Generated FxCop Exclusion.")]

[module: SuppressMessage("Microsoft.Naming", "CA1711:IdentifiersShouldNotHaveIncorrectSuffix", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.EsentStopwatch.#StartNew()", Justification = "Stylebot Generated FxCop Exclusion.")]

#region CA1714
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.AttachDatabaseGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.BackupGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.BeginExternalBackupGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.BeginTransactionGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.CloseDatabaseGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.ColumndefGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.CommitTransactionGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.CompactGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.ConditionalColumnGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.CreateDatabaseGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.CreateIndexGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.CreateInstanceGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.CreateTableColumnIndexGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.DefragGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.DeleteColumnGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.DetachDatabaseGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.DupCursorGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EndExternalBackupGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EndSessionGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EnumerateColumnsGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EscrowUpdateGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.GetLockGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.GetRecordSizeGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.GetSecondaryIndexBookmarkGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.GotoSecondaryIndexBookmarkGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.IdleGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.IndexKeyGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.IndexRangeGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.InitGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.IntersectIndexesGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.JET_cbtyp", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.LsGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.MakeKeyGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.MoveGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.ObjectInfoGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.OpenDatabaseGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.OpenTableGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.RenameColumnGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.ResetTableSequentialGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.RetrieveColumnGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.RetrieveKeyGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.RollbackTransactionGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.SeekGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Server2003.SnapshotAbortGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Server2003.UpdateGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.SetColumnDefaultValueGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.SetColumnGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.SetCurrentIndexGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.SetIndexRangeGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.SetTableSequentialGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.SnapshotFreezeGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.SnapshotPrepareGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.SnapshotThawGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.SpaceHintsGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.TempTableGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.TermGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_InstanceMiscInfo", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Vista.SnapshotEndGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Vista.SnapshotGetFreezeInfoGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Vista.SnapshotPrepareInstanceGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Vista.SnapshotTruncateLogGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows7.CrashDumpGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows7.PrereadKeysGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.CursorFilterGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.DurableCommitCallbackGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.JetIndexColumnGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.PrereadIndexRangesGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.ResizeDatabaseGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1714:FlagsEnumsShouldHavePluralNames", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.StopServiceGrbit", Justification = "Stylebot Generated FxCop Exclusion.")]
#endregion

[module: SuppressMessage("Microsoft.Naming", "CA1720:IdentifiersShouldNotContainTypeNames", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetSystemParameter(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_param,Microsoft.Isam.Esent.Interop.JET_CALLBACK,System.String)", MessageId = "string", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1720:IdentifiersShouldNotContainTypeNames", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetSystemParameter(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_param,System.Int32,System.String)", MessageId = "string", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1720:IdentifiersShouldNotContainTypeNames", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Api.#JetSetSystemParameter(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_param,System.IntPtr,System.String)", MessageId = "string", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1720:IdentifiersShouldNotContainTypeNames", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#cbLongValueData", MessageId = "long", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1720:IdentifiersShouldNotContainTypeNames", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#cbLongValueDataCompressed", MessageId = "long", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1720:IdentifiersShouldNotContainTypeNames", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#cbLongValueOverhead", MessageId = "long", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1720:IdentifiersShouldNotContainTypeNames", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RECSIZE.#cLongValues", MessageId = "long", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1720:IdentifiersShouldNotContainTypeNames", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETINFO.#ibLongValue", MessageId = "long", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1720:IdentifiersShouldNotContainTypeNames", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN.#ibLongValue", MessageId = "long", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1720:IdentifiersShouldNotContainTypeNames", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SETCOLUMN.#ibLongValue", MessageId = "long", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1720:IdentifiersShouldNotContainTypeNames", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SETINFO.#ibLongValue", MessageId = "long", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1720:IdentifiersShouldNotContainTypeNames", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#cLongValues", MessageId = "long", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1720:IdentifiersShouldNotContainTypeNames", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#cbLongValueData", MessageId = "long", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1720:IdentifiersShouldNotContainTypeNames", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#cbLongValueDataCompressed", MessageId = "long", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Naming", "CA1720:IdentifiersShouldNotContainTypeNames", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_RECSIZE.#cbLongValueOverhead", MessageId = "long", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.BytesColumnValue.#Value", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNCREATE.#pvDefault", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMN.#rgEnumColumnValue", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNID.#rgtagSequence", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE.#rgconditionalcolumn", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN.#pvData", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RSTINFO.#rgrstmap", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SETCOLUMN.#pvData", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#rgcolumncreate", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#rgindexcreate", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE.#prgcolumndef", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE.#prgcolumnid", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_ERRINFOBASIC.#rgCategoricalHierarchy", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_COLUMN.#pvData", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_RANGE.#endColumns", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Windows8.JET_INDEX_RANGE.#startColumns", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Reliability", "CA2006:UseSafeHandleToEncapsulateNativeResources", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_HANDLE.#Value", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Reliability", "CA2006:UseSafeHandleToEncapsulateNativeResources", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INSTANCE.#Value", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Reliability", "CA2006:UseSafeHandleToEncapsulateNativeResources", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_OSSNAPID.#Value", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Reliability", "CA2006:UseSafeHandleToEncapsulateNativeResources", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SESID.#Value", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Reliability", "CA2006:UseSafeHandleToEncapsulateNativeResources", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLEID.#Value", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Reliability", "CA2006:UseSafeHandleToEncapsulateNativeResources", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.NATIVE_RSTMAP.#szDatabaseName", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Reliability", "CA2006:UseSafeHandleToEncapsulateNativeResources", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.NATIVE_RSTMAP.#szNewDatabaseName", Justification = "Stylebot Generated FxCop Exclusion.")]

#region CA2208
[module: SuppressMessage("Microsoft.Usage", "CA2208:InstantiateArgumentExceptionsCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_COLUMNCREATE.#CheckMembersAreValid()", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Usage", "CA2208:InstantiateArgumentExceptionsCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_ENUMCOLUMNID.#CheckDataSize()", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Usage", "CA2208:InstantiateArgumentExceptionsCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_INDEXCREATE.#CheckMembersAreValid()", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Usage", "CA2208:InstantiateArgumentExceptionsCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RETRIEVECOLUMN.#CheckDataSize()", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Usage", "CA2208:InstantiateArgumentExceptionsCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_RSTINFO.#CheckMembersAreValid()", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Usage", "CA2208:InstantiateArgumentExceptionsCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_SETCOLUMN.#CheckDataSize()", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Usage", "CA2208:InstantiateArgumentExceptionsCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.JET_TABLECREATE.#CheckMembersAreValid()", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Usage", "CA2208:InstantiateArgumentExceptionsCorrectly", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Vista.JET_OPENTEMPORARYTABLE.#CheckDataSize()", Justification = "Stylebot Generated FxCop Exclusion.")]
#endregion

#region CA2214
[module: SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.EsentErrorException.#.ctor(System.String,Microsoft.Isam.Esent.Interop.JET_err)", Justification = "Stylebot Generated FxCop Exclusion.")]
#endregion

#region CA2217
[module: SuppressMessage("Microsoft.Usage", "CA2217:DoNotMarkEnumsWithFlags", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.ObjectInfoFlags", Justification = "Stylebot Generated FxCop Exclusion.")] // 0x80000000 causes some strangeness in the Flags enum.
[module: SuppressMessage("Microsoft.Usage", "CA2217:DoNotMarkEnumsWithFlags", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.StopServiceGrbit", Justification = "Stylebot Generated FxCop Exclusion.")] // 0x80000000 causes some strangeness in the Flags enum.
#endregion

#region CA2101
// The [BestFitMapping(false, ThrowOnUnmappableChar = true)] attribute is already
// on the containing class, so there is no need for it to also be on every API
// that takes a string.
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetAddColumn(System.IntPtr,System.IntPtr,System.String,Microsoft.Isam.Esent.Interop.NATIVE_COLUMNDEF&,System.Byte[],System.UInt32,System.UInt32&)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetAttachDatabase(System.IntPtr,System.String,System.UInt32)", MessageId = "1", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetAttachDatabase2(System.IntPtr,System.String,System.UInt32,System.UInt32)", MessageId = "1", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetBackupInstance(System.IntPtr,System.String,System.UInt32,System.IntPtr)", MessageId = "1", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetBeginSession(System.IntPtr,System.IntPtr&,System.String,System.String)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetBeginSession(System.IntPtr,System.IntPtr&,System.String,System.String)", MessageId = "3", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetCompact(System.IntPtr,System.String,System.String,System.IntPtr,System.IntPtr,System.UInt32)", MessageId = "1", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetCompact(System.IntPtr,System.String,System.String,System.IntPtr,System.IntPtr,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetCreateDatabase(System.IntPtr,System.String,System.String,System.UInt32&,System.UInt32)", MessageId = "1", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetCreateDatabase(System.IntPtr,System.String,System.String,System.UInt32&,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetCreateDatabase2(System.IntPtr,System.String,System.UInt32,System.UInt32&,System.UInt32)", MessageId = "1", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetCreateIndex(System.IntPtr,System.IntPtr,System.String,System.UInt32,System.String,System.UInt32,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetCreateIndex(System.IntPtr,System.IntPtr,System.String,System.UInt32,System.String,System.UInt32,System.UInt32)", MessageId = "4", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetCreateInstance(System.IntPtr&,System.String)", MessageId = "1", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetCreateInstance2(System.IntPtr&,System.String,System.String,System.UInt32)", MessageId = "1", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetCreateInstance2(System.IntPtr&,System.String,System.String,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetCreateTable(System.IntPtr,System.UInt32,System.String,System.Int32,System.Int32,System.IntPtr&)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetDefragment(System.IntPtr,System.UInt32,System.String,System.UInt32&,System.UInt32&,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetDefragment2(System.IntPtr,System.UInt32,System.String,System.UInt32&,System.UInt32&,System.IntPtr,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetDeleteColumn(System.IntPtr,System.IntPtr,System.String)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetDeleteColumn2(System.IntPtr,System.IntPtr,System.String,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetDeleteIndex(System.IntPtr,System.IntPtr,System.String)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetDeleteTable(System.IntPtr,System.UInt32,System.String)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetDetachDatabase(System.IntPtr,System.String)", MessageId = "1", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetDetachDatabase2(System.IntPtr,System.String,System.UInt32)", MessageId = "1", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetColumnInfo(System.IntPtr,System.UInt32,System.String,System.String,Microsoft.Isam.Esent.Interop.NATIVE_COLUMNBASE&,System.UInt32,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetColumnInfo(System.IntPtr,System.UInt32,System.String,System.String,Microsoft.Isam.Esent.Interop.NATIVE_COLUMNBASE&,System.UInt32,System.UInt32)", MessageId = "3", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetColumnInfo(System.IntPtr,System.UInt32,System.String,System.String,Microsoft.Isam.Esent.Interop.NATIVE_COLUMNDEF&,System.UInt32,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetColumnInfo(System.IntPtr,System.UInt32,System.String,System.String,Microsoft.Isam.Esent.Interop.NATIVE_COLUMNDEF&,System.UInt32,System.UInt32)", MessageId = "3", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetColumnInfo(System.IntPtr,System.UInt32,System.String,System.String,Microsoft.Isam.Esent.Interop.NATIVE_COLUMNLIST&,System.UInt32,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetColumnInfo(System.IntPtr,System.UInt32,System.String,System.String,Microsoft.Isam.Esent.Interop.NATIVE_COLUMNLIST&,System.UInt32,System.UInt32)", MessageId = "3", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetColumnInfo(System.IntPtr,System.UInt32,System.String,System.UInt32&,Microsoft.Isam.Esent.Interop.NATIVE_COLUMNBASE&,System.UInt32,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetCurrentIndex(System.IntPtr,System.IntPtr,System.Text.StringBuilder,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetDatabaseFileInfo(System.String,Microsoft.Isam.Esent.Interop.NATIVE_DBINFOMISC&,System.UInt32,System.UInt32)", MessageId = "0", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetDatabaseFileInfo(System.String,Microsoft.Isam.Esent.Interop.NATIVE_DBINFOMISC4&,System.UInt32,System.UInt32)", MessageId = "0", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetDatabaseFileInfo(System.String,System.Int32&,System.UInt32,System.UInt32)", MessageId = "0", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetDatabaseFileInfo(System.String,System.Int64&,System.UInt32,System.UInt32)", MessageId = "0", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetDatabaseInfo(System.IntPtr,System.UInt32,System.Text.StringBuilder,System.UInt32,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetIndexInfo(System.IntPtr,System.UInt32,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_INDEXID&,System.UInt32,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetIndexInfo(System.IntPtr,System.UInt32,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_INDEXID&,System.UInt32,System.UInt32)", MessageId = "3", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetIndexInfo(System.IntPtr,System.UInt32,System.String,System.String,Microsoft.Isam.Esent.Interop.NATIVE_INDEXLIST&,System.UInt32,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetIndexInfo(System.IntPtr,System.UInt32,System.String,System.String,Microsoft.Isam.Esent.Interop.NATIVE_INDEXLIST&,System.UInt32,System.UInt32)", MessageId = "3", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetIndexInfo(System.IntPtr,System.UInt32,System.String,System.String,System.UInt16&,System.UInt32,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetIndexInfo(System.IntPtr,System.UInt32,System.String,System.String,System.UInt16&,System.UInt32,System.UInt32)", MessageId = "3", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetIndexInfo(System.IntPtr,System.UInt32,System.String,System.String,System.UInt32&,System.UInt32,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetIndexInfo(System.IntPtr,System.UInt32,System.String,System.String,System.UInt32&,System.UInt32,System.UInt32)", MessageId = "3", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetObjectInfo(System.IntPtr,System.UInt32,System.UInt32,System.String,System.String,Microsoft.Isam.Esent.Interop.NATIVE_OBJECTINFO&,System.UInt32,System.UInt32)", MessageId = "3", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetObjectInfo(System.IntPtr,System.UInt32,System.UInt32,System.String,System.String,Microsoft.Isam.Esent.Interop.NATIVE_OBJECTINFO&,System.UInt32,System.UInt32)", MessageId = "4", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetObjectInfo(System.IntPtr,System.UInt32,System.UInt32,System.String,System.String,Microsoft.Isam.Esent.Interop.NATIVE_OBJECTLIST&,System.UInt32,System.UInt32)", MessageId = "3", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetObjectInfo(System.IntPtr,System.UInt32,System.UInt32,System.String,System.String,Microsoft.Isam.Esent.Interop.NATIVE_OBJECTLIST&,System.UInt32,System.UInt32)", MessageId = "4", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetSystemParameter(System.IntPtr,System.IntPtr,System.UInt32,System.IntPtr&,System.Text.StringBuilder,System.UInt32)", MessageId = "4", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetTableColumnInfo(System.IntPtr,System.IntPtr,System.String,Microsoft.Isam.Esent.Interop.NATIVE_COLUMNDEF&,System.UInt32,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetTableColumnInfo(System.IntPtr,System.IntPtr,System.String,Microsoft.Isam.Esent.Interop.NATIVE_COLUMNLIST&,System.UInt32,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetTableIndexInfo(System.IntPtr,System.IntPtr,System.String,Microsoft.Isam.Esent.Interop.JET_INDEXID&,System.UInt32,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetTableIndexInfo(System.IntPtr,System.IntPtr,System.String,Microsoft.Isam.Esent.Interop.NATIVE_INDEXLIST&,System.UInt32,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetTableIndexInfo(System.IntPtr,System.IntPtr,System.String,System.UInt16&,System.UInt32,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetTableIndexInfo(System.IntPtr,System.IntPtr,System.String,System.UInt32&,System.UInt32,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetGetTableInfo(System.IntPtr,System.IntPtr,System.Text.StringBuilder,System.UInt32,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetOpenDatabase(System.IntPtr,System.String,System.String,System.UInt32&,System.UInt32)", MessageId = "1", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetOpenDatabase(System.IntPtr,System.String,System.String,System.UInt32&,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetOpenFileInstance(System.IntPtr,System.String,System.IntPtr&,System.UInt32&,System.UInt32&)", MessageId = "1", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetOpenTable(System.IntPtr,System.UInt32,System.String,System.Byte[],System.UInt32,System.UInt32,System.IntPtr&)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetRenameColumn(System.IntPtr,System.IntPtr,System.String,System.String,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetRenameColumn(System.IntPtr,System.IntPtr,System.String,System.String,System.UInt32)", MessageId = "3", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetRenameTable(System.IntPtr,System.UInt32,System.String,System.String)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetRenameTable(System.IntPtr,System.UInt32,System.String,System.String)", MessageId = "3", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetRestoreInstance(System.IntPtr,System.String,System.String,System.IntPtr)", MessageId = "1", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetRestoreInstance(System.IntPtr,System.String,System.String,System.IntPtr)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetSetColumnDefaultValue(System.IntPtr,System.UInt32,System.String,System.String,System.Byte[],System.UInt32,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetSetColumnDefaultValue(System.IntPtr,System.UInt32,System.String,System.String,System.Byte[],System.UInt32,System.UInt32)", MessageId = "3", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetSetCurrentIndex(System.IntPtr,System.IntPtr,System.String)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetSetCurrentIndex2(System.IntPtr,System.IntPtr,System.String,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetSetCurrentIndex3(System.IntPtr,System.IntPtr,System.String,System.UInt32,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetSetCurrentIndex4(System.IntPtr,System.IntPtr,System.String,Microsoft.Isam.Esent.Interop.JET_INDEXID&,System.UInt32,System.UInt32)", MessageId = "2", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetSetDatabaseSize(System.IntPtr,System.String,System.UInt32,System.UInt32&)", MessageId = "1", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Globalization", "CA2101:SpecifyMarshalingForPInvokeStringArguments", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.NativeMethods.#JetSetSystemParameter(System.IntPtr*,System.IntPtr,System.UInt32,System.IntPtr,System.String)", MessageId = "4", Justification = "Stylebot Generated FxCop Exclusion.")]
#endregion

#region Exception constructors
// It's not entirely clear why these specific overloads are needed.
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentErrorException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidColumnException", Justification = "Stylebot Generated FxCop Exclusion.")]

[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBackupDirectoryNotEmptyException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFileInvalidTypeException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRecoveredWithErrorsException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVOwnerMapCorruptedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFixedInheritedDDLException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentWriteConflictException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentPageSizeMismatchException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDistributedTransactionAlreadyPreparedToCommitException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidPlaceholderColumnException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVFileNotFoundException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentPermissionDeniedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentColumnInRelationshipException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentNoCurrentRecordException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVFileUnknownException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexTuplesInvalidLimitsException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidLogDataSequenceException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentColumnDuplicateException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadPatchPageException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCannotDeleteTempTableException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseUnavailableException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseLogSetMismatchException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfMemoryException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentNullInvalidException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentKeyTooBigException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOSSnapshotTimeOutException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVDatabaseMissingException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSoftRecoveryOnSnapshotException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSesidTableIdMismatchException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadBackupDatabaseSizeException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyInstancesException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentNoCurrentIndexException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDisabledFunctionalityException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRfsNotArmedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVOwnerMapAlreadyExistsException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidDatabaseVersionException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadLogVersionException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentReadVerifyFailureException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDTCMissingCallbackException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogFilePathInUseException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOneDatabasePerSessionException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentColumnNotUpdatableException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBackupNotAllowedYetException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFileNotFoundException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFileAccessDeniedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogDisabledDueToRecoveryFailureException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogTornWriteDuringHardRestoreException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidNameException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyOpenTablesException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSoftRecoveryOnBackupDatabaseException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTableLockedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDerivedColumnCorruptionException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTableNotEmptyException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCatalogCorruptedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfDbtimeValuesException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVColumnDefaultValueNotAllowedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCallbackNotResolvedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentNoBackupException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRecoveredWithoutUndoDatabasesConsistentException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexTuplesVarSegMacNotAllowedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentReadLostFlushVerifyFailureException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfDatabaseSpaceException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseFailedIncrementalReseedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMultiValuedDuplicateAfterTruncationException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentEndingRestoreLogTooLowException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseBufferDependenciesCorruptedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInstanceNameInUseException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidBookmarkException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentNotInitializedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDensityInvalidException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSecondaryIndexCorruptedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMustDisableLoggingForDbUpgradeException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentAlreadyInitializedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRecordNotFoundException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDistributedTransactionNotYetPreparedToCommitException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexCantBuildException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRestoreOfNonBackupDatabaseException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentColumnDoesNotFitException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyIndexesException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadDbSignatureException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCannotNestDistributedTransactionsException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogSequenceEndDatabasesConsistentException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentColumnCannotBeCompressedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfObjectIDsException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogDiskFullException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidBufferSizeException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexTuplesTooManyColumnsException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMultiValuedDuplicateException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidSettingsException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLoggingDisabledException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMultiValuedIndexViolationException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidLoggedOperationException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogFileNotCopiedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVFileInvalidPathException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseAlreadyUpgradedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSpaceHintsInvalidException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTransTooDeepException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadColumnIdException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVEAListCorruptException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyAttachedDatabasesException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDDLNotInheritableException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidGrbitException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfAutoincrementValuesException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRollbackRequiredException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentAlreadyPreparedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidColumnTypeException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentWriteConflictPrimaryIndexException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogFileSizeMismatchException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFileCloseException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidOnSortException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVPagesNotCommittedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSPOwnExtCorruptedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentColumnRedundantException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVStreamingFileAlreadyExistsException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRecordNoCopyException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentContainerNotEmptyException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseDirtyShutdownException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentKeyBoundaryException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVRootStillOpenException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyOpenIndexesException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexTuplesSecondaryIndexOnlyException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexDuplicateException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentColumnNoChunkException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLVCorruptedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCannotDeleteTemplateTableException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFileCompressedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexTuplesNonUniqueOnlyException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInTransactionException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogReadVerifyFailureException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadPageLinkException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogCorruptedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVPagesNotReservedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMissingPatchPageException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDbTimeTooOldException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFileIOAbortException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFeatureNotAvailableException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentNotInTransactionException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSPAvailExtCacheOutOfMemoryException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMissingLogFileException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentAfterInitializationException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVColumnCannotDeleteException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRecordPrimaryChangedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogCorruptDuringHardRecoveryException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVInvalidPathException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSessionWriteConflictException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVRootNotSpecifiedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentUpdateNotPreparedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidLogSequenceException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentUnicodeTranslationFailException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentPartiallyAttachedDBException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseIncompleteIncrementalReseedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSPAvailExtCorruptedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyKeysException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseInvalidIncrementalReseedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogTornWriteDuringHardRecoveryException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSessionContextAlreadySetException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyIOException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentEntryPointNotFoundException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRunningInOneInstanceModeException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadItagSequenceException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRollbackErrorException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRecordTooBigForBackwardCompatibilityException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCallbackFailedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOSSnapshotInvalidSequenceException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentVersionStoreOutOfMemoryException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSystemParamsAlreadySetException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVStreamingFileNotCreatedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabase400FormatException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTaskDroppedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogSectorSizeMismatchException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMissingFileToBackupException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSystemPathInUseException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfThreadsException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyTestInjectionsException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInitInProgressException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRecordDeletedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabasesNotFromSameSnapshotException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidDatabaseException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentPageBoundaryException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVCorruptedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVProviderVersionMismatchException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTempPathInUseException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVRootPathInvalidException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentExclusiveTableLockRequiredException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentAttachedDatabaseMismatchException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyOpenDatabasesException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentExistingLogFileHasBadSignatureException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDirtyShutdownException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabase500FormatException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidSesidException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadCheckpointSignatureException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVStreamingFileInUseException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogCorruptDuringHardRestoreException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfLongValueIDsException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMissingFullBackupException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSessionContextNotSetByThisThreadException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCannotIndexException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMakeBackupDirectoryFailException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVEAListTooBigException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVStreamingFileFullException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogWriteFailException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadBookmarkException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidIndexIdException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfSequentialIndexValuesException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseNotFoundException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentGivenLogFileIsNotContiguousException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidCreateIndexException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInstanceUnavailableException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRecoveredWithoutUndoException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseInvalidPathException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfSessionsException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyColumnsException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentNotInDistributedTransactionException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDbTimeTooNewException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVStreamingFileMissingException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTableInUseException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCheckpointFileNotFoundException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidFilenameException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOSSnapshotNotAllowedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseIncompleteUpgradeException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLSCallbackNotSpecifiedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVFileAccessDeniedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentNTSystemCallFailedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSQLLinkNotSupportedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentStreamingDataNotLoggedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentColumnInUseException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexTuplesTextBinaryColumnsOnlyException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentConsistentTimeMismatchException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentColumnTooBigException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexInUseException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDbTimeCorruptedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRecordTooBigException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentNoBackupDirectoryException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexInvalidDefException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseLockedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentClientRequestToStopJetServiceException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTaggedNotNULLException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidLanguageIdException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidCountryException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentKeyIsMadeException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMissingRestoreLogFilesException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexTuplesKeyTooSmallException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVFileIOException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMissingPreviousLogFileException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMustCommitDistributedTransactionToLevel0Exception", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMustRollbackException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVHeaderCorruptedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSectorSizeNotSupportedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfFileHandlesException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseDuplicateException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyMempoolEntriesException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVSpaceWriteConflictException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCannotAddFixedVarColumnToDerivedTableException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentColumnNotFoundException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRedoAbruptEndedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDiskIOException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentExistingLogFileIsNotContiguousException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLSNotSetException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCannotDisableVersioningException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexMustStayException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCheckpointCorruptException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentKeyDuplicateException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogGenerationMismatchException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLanguageNotSupportedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDefaultValueTooBigException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCommittedLogFileCorruptException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCannotDeleteSystemTableException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentPreviousVersionException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidTableIdException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManySortsException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentGivenLogFileHasBadSignatureException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentColumnLongException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadParentPageLinkException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVFileInUseException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentColumnIndexedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFileIOFailException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCurrencyStackOutOfMemoryException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogBufferTooSmallException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVSpaceCorruptedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogSequenceEndException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentUnicodeTranslationBufferTooSmallException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidParameterException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBackupAbortByServerException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVStreamingFileReadOnlyException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRunningInMultiInstanceModeException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidOperationException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFileIOSparseException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDecompressionFailedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentPrimaryIndexCorruptedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfBuffersException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentStartingRestoreLogTooHighException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVOwnerMapPageNotFoundException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentKeyTruncatedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadSLVSignatureException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyActiveUsersException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCheckpointDepthTooDeepException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexBuildCorruptedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCannotLogDuringRecoveryRedoException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCannotSeparateIntrinsicLVException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCannotNestDDLException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogSectorSizeMismatchDatabasesConsistentException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManySplitsException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentQueryNotSupportedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRecordNotDeletedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadLogSignatureException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentNullKeyDisallowedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBackupInProgressException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidSystemPathException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInternalErrorException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentVersionStoreEntryTooBigException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTermInProgressException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidBackupException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDeleteBackupFileFailException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDTCMissingCallbackOnRecoveryException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBufferTooSmallException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFileIORetryException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentUnicodeNormalizationNotSupportedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRequiredLogFilesMissingException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVEAListZeroAllocationException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexNotFoundException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogFileSizeMismatchDatabasesConsistentException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIllegalOperationException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseInvalidPagesException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTransReadOnlyException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLinkNotSupportedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseSignInUseException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexTuplesCannotRetrieveFromIndexException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentForceDetachNotAllowedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseFileReadOnlyException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRfsFailureException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidInstanceException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCommittedLogFilesMissingException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVHeaderBadChecksumException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVReadVerifyFailureException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMissingCurrentLogFilesException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSPAvailExtCacheOutOfSyncException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseLeakInSpaceException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOutOfCursorsException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseCorruptedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentPatchFileMissingException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentBadRestoreTargetInstanceException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVFileStaleException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidCodePageException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentObjectDuplicateException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLSAlreadySetException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidCreateDbVersionException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentVersionStoreOutOfMemoryAndCleanupTimedOutException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentPageNotInitializedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTestInjectionNotSupportedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFixedDDLException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMultiValuedColumnMustBeTaggedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRecordFormatConversionFailedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDiskFullException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseAlreadyRunningMaintenanceException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDiskReadVerificationFailureException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentIndexHasPrimaryException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTooManyOpenTablesAndCleanupTimedOutException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentNoAttachmentsFailedIncrementalReseedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDataHasChangedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseSharingViolationException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVPagesNotFreeException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentReadPgnoVerifyFailureException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentKeyNotMadeException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseIdInUseException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseStreamingFileMismatchException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSurrogateBackupInProgressException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidBackupSequenceException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCannotMaterializeForwardOnlySortException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidDatabaseIdException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseCorruptedNoRepairException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentLogFileCorruptException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTableDuplicateException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFileIOBeyondEOFException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentUpdateMustVersionException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentCannotBeTaggedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentTempFileOpenErrorException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidPathException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVProviderNotLoadedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentAccessDeniedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDTCCallbackUnexpectedErrorException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabasePatchFileMismatchException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidLCMapStringFlagsException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseInvalidNameException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSessionInUseException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentOSSnapshotInvalidSnapIdException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInstanceUnavailableDueToFatalLogDiskFullException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVBufferTooSmallException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSessionSharingViolationException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabase200FormatException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentObjectNotFoundException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSLVPagesNotDeletedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidLogDirectoryException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidObjectException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRestoreInProgressException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentDatabaseInUseException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFileSystemCorruptionException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentSeparatedLongValueException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentUnicodeLanguageValidationFailureException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentRecoveryVerifyFailureException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentUnloadableOSFunctionalityException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentFilteredMoveNotSupportedException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentMustBeSeparateLongValueException", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.EsentInvalidPrereadException", Justification = "Stylebot Generated FxCop Exclusion.")]
#endregion

#region CA2001
#if DEBUG
[module: SuppressMessage("Microsoft.Reliability", "CA2001:AvoidCallingProblematicMethods", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.JetApi.#JetCompact(Microsoft.Isam.Esent.Interop.JET_SESID,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_PFNSTATUS,System.Object,Microsoft.Isam.Esent.Interop.CompactGrbit)", MessageId = "System.GC.Collect", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Reliability", "CA2001:AvoidCallingProblematicMethods", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.JetApi.#JetSetSystemParameter(Microsoft.Isam.Esent.Interop.JET_INSTANCE,Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_param,Microsoft.Isam.Esent.Interop.JET_CALLBACK,System.String)", MessageId = "System.GC.Collect", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Reliability", "CA2001:AvoidCallingProblematicMethods", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.JetApi.#JetDefragment2(Microsoft.Isam.Esent.Interop.JET_SESID,Microsoft.Isam.Esent.Interop.JET_DBID,System.String,System.Int32&,System.Int32&,Microsoft.Isam.Esent.Interop.JET_CALLBACK,Microsoft.Isam.Esent.Interop.DefragGrbit)", MessageId = "System.GC.Collect", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Reliability", "CA2001:AvoidCallingProblematicMethods", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.JetApi.#JetRestoreInstance(Microsoft.Isam.Esent.Interop.JET_INSTANCE,System.String,System.String,Microsoft.Isam.Esent.Interop.JET_PFNSTATUS)", MessageId = "System.GC.Collect", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Reliability", "CA2001:AvoidCallingProblematicMethods", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.Implementation.JetApi.#JetBackupInstance(Microsoft.Isam.Esent.Interop.JET_INSTANCE,System.String,Microsoft.Isam.Esent.Interop.BackupGrbit,Microsoft.Isam.Esent.Interop.JET_PFNSTATUS)", MessageId = "System.GC.Collect", Justification = "Stylebot Generated FxCop Exclusion.")]
#endif // DEBUG
#endregion

#region CA1811
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.SystemParameters.#SetStringParameter(Microsoft.Isam.Esent.Interop.JET_param,System.String)", Justification = "Stylebot Generated FxCop Exclusion.")]
[module: SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Scope = "member", Target = "Microsoft.Isam.Esent.Interop.SystemParameters.#GetStringParameter(Microsoft.Isam.Esent.Interop.JET_param)", Justification = "Stylebot Generated FxCop Exclusion.")]
#endregion

#region Internal rules.
[module: SuppressMessage("Exchange.Performance", "EX0023:DeadVariableDetector", Justification = "Need to hold on to a reference to the callback, so that it does not get garbage collected.", Target = "Microsoft.Isam.Esent.Interop.Unpublished.EmitLogDataCallback.wrapperCallback")]
[module: SuppressMessage("Exchange.Performance", "EX0023:DeadVariableDetector", Justification = "Need to hold on to a reference to the callback, so that it does not get garbage collected.", Target = "Microsoft.Isam.Esent.Interop.Windows8.EmitLogDataCallback.wrapperCallback")]
[module: SuppressMessage("Exchange.Performance", "EX0023:DeadVariableDetector", Justification = "Need to hold on to a reference to the callback, so that it does not get garbage collected.", Target = "Microsoft.Isam.Esent.Interop.Unpublished.DurableCommitCallback.wrapperCallback")]
[module: SuppressMessage("Exchange.Performance", "EX0023:DeadVariableDetector", Justification = "Need to hold on to a reference to the callback, so that it does not get garbage collected.", Target = "Microsoft.Isam.Esent.Interop.Windows8.DurableCommitCallback.wrapperCallback")]

[module: SuppressMessage("Exchange.Performance", "0023:DeadVariableDetector", Justification = "Need to hold on to a reference to the callback, so that it does not get garbage collected.", Target = "Microsoft.Isam.Esent.Interop.Unpublished.EmitLogDataCallback.wrapperCallback")]
[module: SuppressMessage("Exchange.Performance", "0023:DeadVariableDetector", Justification = "Need to hold on to a reference to the callback, so that it does not get garbage collected.", Target = "Microsoft.Isam.Esent.Interop.Windows8.EmitLogDataCallback.wrapperCallback")]
[module: SuppressMessage("Exchange.Performance", "0023:DeadVariableDetector", Justification = "Need to hold on to a reference to the callback, so that it does not get garbage collected.", Target = "Microsoft.Isam.Esent.Interop.Unpublished.DurableCommitCallback.wrapperCallback")]
[module: SuppressMessage("Exchange.Performance", "0023:DeadVariableDetector", Justification = "Need to hold on to a reference to the callback, so that it does not get garbage collected.", Target = "Microsoft.Isam.Esent.Interop.Windows8.DurableCommitCallback.wrapperCallback")]

[module: SuppressMessage("Exchange.Performance", "EX0023:DeadVariableDetector", Justification = "Need to hold on to a reference to the callback, so that it does not get garbage collected.", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.DurableCommitCallback")]

[module: SuppressMessage("Exchange.Performance", "EX0023:DeadVariableDetector", Justification = "Need to hold on to a reference to the callback, so that it does not get garbage collected.", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Unpublished.EmitLogDataCallback.wrapperCallback")]
[module: SuppressMessage("Exchange.Performance", "EX0023:DeadVariableDetector", Justification = "Need to hold on to a reference to the callback, so that it does not get garbage collected.", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.EmitLogDataCallback.wrapperCallback")]
[module: SuppressMessage("Exchange.Performance", "EX0023:DeadVariableDetector", Justification = "Need to hold on to a reference to the callback, so that it does not get garbage collected.", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Unpublished.DurableCommitCallback.wrapperCallback")]
[module: SuppressMessage("Exchange.Performance", "EX0023:DeadVariableDetector", Justification = "Need to hold on to a reference to the callback, so that it does not get garbage collected.", Scope = "type", Target = "Microsoft.Isam.Esent.Interop.Windows8.DurableCommitCallback.wrapperCallback")]

#endregion
